<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('HOMEFIX_THEME_NAME').' '.esc_html__('Options', 'homefix'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
  'framework_title' => constant('HOMEFIX_THEME_NAME') .' '.__('Admin Panel', 'homefix'),  
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'homefix'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'homefix' ),
	),
	
	array(
		'id'	=> 'header',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Header', 'homefix'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_headers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Header', 'homefix'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select default header.','homefix'),
	),
	
	array(
		'id'	=> 'footer',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Footer', 'homefix'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_footers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Footer', 'homefix'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select defaultfooter.','homefix'),
	),

	array(
	  'id'  	 => 'use-site-loader',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Site Loader', 'homefix'),
	  'info'	 => esc_html__('YES! to use site loader.', 'homefix'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'homefix'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'homefix')
	),		

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'homefix'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'homefix'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'homefix'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'homefix')
	),



	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'homefix'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'homefix').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'homefix'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'homefix').'</p>',
	),

  ),
);

$options[]      = array(
  'name'        => 'layout_options',
  'title'       => esc_html__('Layout Options', 'homefix'),
  'icon'        => 'dashicons dashicons-exerpt-view',
  'sections' => array(

	// -----------------------------------------
	// Header Options
	// -----------------------------------------
	array(
	  'name'      => 'breadcrumb_options',
	  'title'     => esc_html__('Breadcrumb Options', 'homefix'),
	  'icon'      => 'fa fa-sitemap',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Breadcrumb Options", 'homefix' ),
		  ),

		  array(
			'id'  		 => 'show-breadcrumb',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Breadcrumb', 'homefix'),
			'info'		 => esc_html__('YES! to display breadcrumb for all pages.', 'homefix'),
			'default' 	 => true,
		  ),

		  array(
			'id'           => 'breadcrumb-delimiter',
			'type'         => 'icon',
			'title'        => esc_html__('Breadcrumb Delimiter', 'homefix'),
			'info'         => esc_html__('Choose delimiter style to display on breadcrumb section.', 'homefix'),
		  ),

		  array(
			'id'           => 'breadcrumb-style',
			'type'         => 'select',
			'title'        => esc_html__('Breadcrumb Style', 'homefix'),
			'options'      => array(
			  'default' 							=> esc_html__('Default', 'homefix'),
			  'aligncenter'    						=> esc_html__('Align Center', 'homefix'),
			  'alignright'  						=> esc_html__('Align Right', 'homefix'),
			  'breadcrumb-left'    					=> esc_html__('Left Side Breadcrumb', 'homefix'),
			  'breadcrumb-right'     				=> esc_html__('Right Side Breadcrumb', 'homefix'),
			  'breadcrumb-top-right-title-center'  	=> esc_html__('Top Right Title Center', 'homefix'),
			  'breadcrumb-top-left-title-center'  	=> esc_html__('Top Left Title Center', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'default',
			'info'         => esc_html__('Choose alignment style to display on breadcrumb section.', 'homefix'),
		  ),

		  array(
			  'id'                 => 'breadcrumb-position',
			  'type'               => 'select',
			  'title'              => esc_html__('Position', 'homefix' ),
			  'options'            => array(
				  'header-top-absolute'    => esc_html__('Behind the Header','homefix'),
				  'header-top-relative'    => esc_html__('Default','homefix'),
			  ),
			  'class'        => 'chosen',
			  'default'      => 'header-top-relative',
			  'info'         => esc_html__('Choose position of breadcrumb section.', 'homefix'),
		  ),

		  array(
			'id'    => 'breadcrumb_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'homefix'),
			'desc'  => esc_html__('Choose background options for breadcrumb title section.', 'homefix')
		  ),

		),
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'homefix'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

		// -----------------------------------------
		// Global Sidebar Options
		// -----------------------------------------
		array(
		  'name'      => 'global_sidebar_options',
		  'title'     => esc_html__('Global Sidebar Options', 'homefix'),
		  'icon'      => 'dashicons dashicons-format-aside',

			'fields'      => array(

			  array(
				'type'    => 'subheading',
				'content' => esc_html__( "Global Sidebar Options", 'homefix' ),
			  ),

			  array(
				'id'      	 => 'site-global-sidebar-layout',
				'type'       => 'image_select',
				'title'      => esc_html__('Global Sidebar Layout', 'homefix'),
				'options'    => array(
				  'content-full-width'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
				  'with-left-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
				  'with-right-sidebar'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
				  'with-both-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
				),
				'default'      => 'content-full-width',
				'attributes'   => array(
				  'data-depend-id' => 'site-global-sidebar-layout',
				),
				'desc'  => esc_html__('Choose sidebar layout for site wide.', 'homefix')
			  ),
			),
		),  	

	// -----------------------------------------
	// Blog Archive Options
	// -----------------------------------------
	array(
	  'name'      => 'blog_archive_options',
	  'title'     => esc_html__('Blog Archive Options', 'homefix'),
	  'icon'      => 'fa fa-file-archive-o',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Blog Archives Page Layout", 'homefix' ),
		  ),

		  array(
			'id'      	 => 'blog-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'homefix'),
			'options'    => array(
			  'content-full-width'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'blog-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'homefix'),
			'dependency' => array( 'blog-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'homefix'),
			'dependency' => array( 'blog-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'      	   => 'blog-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'homefix'),
			'options'      => array(
			  'entry-grid'  => HOMEFIX_THEME_URI . '/cs-framework-override/images/entry-grid.png',
			  'entry-list'  => HOMEFIX_THEME_URI . '/cs-framework-override/images/entry-list.png',			  
			  'entry-cover' => HOMEFIX_THEME_URI . '/cs-framework-override/images/entry-cover.png',
			),
			'default'      => 'entry-grid',
			'attributes'   => array(
			  'data-depend-id' => 'blog-post-layout',
			),
		  ),

		  array(
			'id'           => 'blog-post-grid-list-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'homefix'),
			'options'      => array(
			  'dt-sc-boxed' 			=> esc_html__('Boxed', 'homefix'),
			  'dt-sc-simple'      		=> esc_html__('Simple', 'homefix'),
			  'dt-sc-overlap'      		=> esc_html__('Overlap', 'homefix'),
			  'dt-sc-content-overlay' 	=> esc_html__('Content Overlay', 'homefix'),
			  'dt-sc-simple-withbg'		=> esc_html__('Simple with Background', 'homefix'),
			  'dt-sc-overlay'   	    => esc_html__('Overlay', 'homefix'),
			  'dt-sc-overlay-ii'      	=> esc_html__('Overlay II', 'homefix'),			  
			  'dt-sc-overlay-iii'      	=> esc_html__('Overlay III', 'homefix'),			  
			  'dt-sc-alternate'	 		=> esc_html__('Alternate', 'homefix'),
			  'dt-sc-minimal'       	=> esc_html__('Minimal', 'homefix'),
			  'dt-sc-modern' 	      	=> esc_html__('Modern', 'homefix'),
			  'dt-sc-classic'	 		=> esc_html__('Classic', 'homefix'),
			  'dt-sc-classic-ii'	 	=> esc_html__('Classic II', 'homefix'),
			  'dt-sc-classic-overlay' 	=> esc_html__('Classic Overlay', 'homefix'),
			  'dt-sc-grungy-boxed' 		=> esc_html__('Grungy Boxed', 'homefix'),
			  'dt-sc-title-overlap'	 	=> esc_html__('Title Overlap', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-boxed',
			'info'         => esc_html__('Choose post style to display blog archives pages.', 'homefix'),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'           => 'blog-post-cover-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'homefix'),
			'options'      => array(
			  'dt-sc-boxed' 			=> esc_html__('Boxed', 'homefix'),
			  'dt-sc-canvas'      		=> esc_html__('Canvas', 'homefix'),
			  'dt-sc-content-overlay' 	=> esc_html__('Content Overlay', 'homefix'),
			  'dt-sc-overlay'   	    => esc_html__('Overlay', 'homefix'),
			  'dt-sc-overlay-ii'      	=> esc_html__('Overlay II', 'homefix'),
			  'dt-sc-overlay-iii'      	=> esc_html__('Overlay III', 'homefix'),
			  'dt-sc-trendy' 			=> esc_html__('Trendy', 'homefix'),
			  'dt-sc-mobilephone' 		=> esc_html__('Mobile Phone', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-boxed',
			'info'         => esc_html__('Choose post style to display blog archives pages.', 'homefix'),
			'dependency'   => array( 'blog-post-layout', '==', 'entry-cover' ),
		  ),

		  array(
			'id'      	   => 'blog-post-columns',
			'type'         => 'image_select',
			'title'        => esc_html__('Columns', 'homefix'),
			'options'      => array(
			  'one-column' 		  => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'blog-post-columns',
			),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'      	   => 'blog-list-thumb',
			'type'         => 'image_select',
			'title'        => esc_html__('List Type', 'homefix'),
			'options'      => array(
			  'entry-left-thumb'  => HOMEFIX_THEME_URI . '/cs-framework-override/images/entry-left-thumb.png',
			  'entry-right-thumb' => HOMEFIX_THEME_URI . '/cs-framework-override/images/entry-right-thumb.png',
			),
			'default'      => 'entry-left-thumb',
			'attributes'   => array(
			  'data-depend-id' => 'blog-list-thumb',
			),
			'dependency' => array( 'blog-post-layout', '==', 'entry-list' ),
		  ),

		  array(
			'id'           => 'blog-alignment',
			'type'         => 'select',
			'title'        => esc_html__('Elements Alignment', 'homefix'),
			'options'      => array(
			  'alignnone'	=> esc_html__('None', 'homefix'),
			  'alignleft' 	=> esc_html__('Align Left', 'homefix'),
			  'aligncenter' => esc_html__('Align Center', 'homefix'),
			  'alignright'  => esc_html__('Align Right', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'alignnone',
			'info'         => esc_html__('Choose alignment to display archives pages.', 'homefix'),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-equal-height',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Equal Height', 'homefix'),
			'info'		 => esc_html__('YES! to items display as equal height', 'homefix'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-no-space',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable No Space', 'homefix'),
			'info'		 => esc_html__('YES! to items display as no space', 'homefix'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-gallery-slider',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Display Gallery Slider', 'homefix'),
			'info'		 => esc_html__('YES! to display gallery slider', 'homefix'),
			'default'    => true,
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'             => 'blog-elements-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Elements Positioning', 'homefix'),
			'default'        => array(
			  'enabled'      => array(
				'feature_image'	=> esc_html__('Feature Image', 'homefix'),
				'title'      	=> esc_html__('Title', 'homefix'),
				'content'    	=> esc_html__('Content', 'homefix'),
				'read_more'  	=> esc_html__('Read More', 'homefix'),
				'meta_group' 	=> esc_html__('Meta Group', 'homefix'),
			  ),
			  'disabled'     => array(
				'author'		=> esc_html__('Author', 'homefix'),
				'date'     		=> esc_html__('Date', 'homefix'),
				'comments' 		=> esc_html__('Comments', 'homefix'),
				'categories'    => esc_html__('Categories', 'homefix'),
				'tags'  		=> esc_html__('Tags', 'homefix'),
				'social_share'  => esc_html__('Social Share', 'homefix'),
				'likes_views'   => esc_html__('Likes & Views', 'homefix'),
			  ),
			),
			'enabled_title'  	=> esc_html__('Active Elements', 'homefix'),
			'disabled_title' 	=> esc_html__('Deactive Elements', 'homefix'),
		  ),

		  array(
			'id'             => 'blog-meta-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Meta Group Positioning', 'homefix'),
			'default'        => array(
			  'enabled'      => array(
				'author'		=> esc_html__('Author', 'homefix'),
				'date'     		=> esc_html__('Date', 'homefix'),
				'comments' 		=> esc_html__('Comments', 'homefix'),
				'categories'    => esc_html__('Categories', 'homefix'),
			  ),
			  'disabled'     => array(
				'tags'  		=> esc_html__('Tags', 'homefix'),
				'social_share'  => esc_html__('Social Share', 'homefix'),
				'likes_views'   => esc_html__('Likes & Views', 'homefix'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Items', 'homefix'),
			'disabled_title' => esc_html__('Deactive Items', 'homefix'),
			'desc'  		 => esc_html__('Note: Use max 3 items for better results.', 'homefix')
		  ),

		  array(
			'id'  		 => 'enable-post-format',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Post Format', 'homefix'),
			'info'		 => esc_html__('YES! to display post format icon', 'homefix'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'enable-excerpt-text',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Excerpt Text', 'homefix'),
			'info'		 => esc_html__('YES! to display excerpt content', 'homefix'),
		  ),

		  array(
			'id'  		 => 'blog-excerpt-length',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'homefix'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'homefix').'</span>',
			'default' 	 => 25,
			'dependency' => array( 'enable-excerpt-text', '==', 'true' ),
		  ),

		  array(
			'id'  		 => 'enable-video-audio',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Display Video & Audio for Posts', 'homefix'),
			'info'		 => esc_html__('YES! to display video & audio, instead of feature image for posts', 'homefix'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'  		 => 'blog-readmore-text',
			'type'  	 => 'text',
			'title' 	 => esc_html__('Read More Text', 'homefix'),
			'info'		 => esc_html__('Put the read more text here', 'homefix'),
			'default'	 => esc_html__('Read More', 'homefix')
		  ),

		  array(
			'id'           => 'blog-image-hover-style',
			'type'         => 'select',
			'title'        => esc_html__('Image Hover Style', 'homefix'),
			'options'      => array(
			  'dt-sc-default' 			=> esc_html__('Default', 'homefix'),
			  'dt-sc-blur'      		=> esc_html__('Blur', 'homefix'),
			  'dt-sc-bw'   		   		=> esc_html__('Black and White', 'homefix'),
			  'dt-sc-brightness'	 	=> esc_html__('Brightness', 'homefix'),
			  'dt-sc-fadeinleft'   	    => esc_html__('Fade InLeft', 'homefix'),
			  'dt-sc-fadeinright'  	    => esc_html__('Fade InRight', 'homefix'),
			  'dt-sc-hue-rotate'   	    => esc_html__('Hue-Rotate', 'homefix'),
			  'dt-sc-invert'	   	    => esc_html__('Invert', 'homefix'),
			  'dt-sc-opacity'   	    => esc_html__('Opacity', 'homefix'),
			  'dt-sc-rotate'	   	    => esc_html__('Rotate', 'homefix'),
			  'dt-sc-rotate-alt'   	    => esc_html__('Rotate Alt', 'homefix'),
			  'dt-sc-scalein'   	    => esc_html__('Scale In', 'homefix'),
			  'dt-sc-scaleout' 	    	=> esc_html__('Scale Out', 'homefix'),
			  'dt-sc-sepia'	   	    	=> esc_html__('Sepia', 'homefix'),
			  'dt-sc-tint'		   	    => esc_html__('Tint', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-default',
			'info'         => esc_html__('Choose image hover style to display archives pages.', 'homefix'),
		  ),

		  array(
			'id'           => 'blog-image-overlay-style',
			'type'         => 'select',
			'title'        => esc_html__('Image Overlay Style', 'homefix'),
			'options'      => array(
			  'dt-sc-default' 			=> esc_html__('None', 'homefix'),
			  'dt-sc-fixed' 			=> esc_html__('Fixed', 'homefix'),
			  'dt-sc-tb' 				=> esc_html__('Top to Bottom', 'homefix'),
			  'dt-sc-bt'   				=> esc_html__('Bottom to Top', 'homefix'),
			  'dt-sc-rl'   				=> esc_html__('Right to Left', 'homefix'),
			  'dt-sc-lr'				=> esc_html__('Left to Right', 'homefix'),
			  'dt-sc-middle'			=> esc_html__('Middle', 'homefix'),
			  'dt-sc-middle-radial'		=> esc_html__('Middle Radial', 'homefix'),
			  'dt-sc-tb-gradient' 		=> esc_html__('Gradient - Top to Bottom', 'homefix'),
			  'dt-sc-bt-gradient'   	=> esc_html__('Gradient - Bottom to Top', 'homefix'),
			  'dt-sc-rl-gradient'   	=> esc_html__('Gradient - Right to Left', 'homefix'),
			  'dt-sc-lr-gradient'		=> esc_html__('Gradient - Left to Right', 'homefix'),
			  'dt-sc-radial-gradient'	=> esc_html__('Gradient - Radial', 'homefix'),
			  'dt-sc-flash' 			=> esc_html__('Flash', 'homefix'),
			  'dt-sc-circle' 			=> esc_html__('Circle', 'homefix'),
			  'dt-sc-hm-elastic'		=> esc_html__('Horizontal Elastic', 'homefix'),
			  'dt-sc-vm-elastic'		=> esc_html__('Vertical Elastic', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => '',
			'info'         => esc_html__('Choose image overlay style to display archives pages.', 'homefix'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'           => 'blog-pagination',
			'type'         => 'select',
			'title'        => esc_html__('Pagination Style', 'homefix'),
			'options'      => array(
			  'older_newer' 	=> esc_html__('Older & Newer', 'homefix'),
			  'numbered'      	=> esc_html__('Numbered', 'homefix'),
			  'load_more'      	=> esc_html__('Load More', 'homefix'),
			  'infinite_scroll'	=> esc_html__('Infinite Scroll', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'older_newer',
			'info'         => esc_html__('Choose pagination style to display archives pages.', 'homefix'),
		  ),

		),
	),

	// -----------------------------------------
	// Blog Single Options
	// -----------------------------------------
	array(
	  'name'      => 'blog_single_options',
	  'title'     => esc_html__('Blog Single Options', 'homefix'),
	  'icon'      => 'fa fa-thumb-tack',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Blog Single Post Options", 'homefix' ),
		  ),

		  array(
			'id'             => 'post-elements-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Post Elements Positioning', 'homefix'),
			'default'        => array(
			  'enabled'      => array(
				'feature_image'	=> esc_html__('Feature Image', 'homefix'),
				'title'      	=> esc_html__('Title', 'homefix'),
				'content'    	=> esc_html__('Content', 'homefix'),
				'meta_group' 	=> esc_html__('Meta Group', 'homefix'),
				'navigation'    => esc_html__('Navigation', 'homefix'),
				'author_bio' 	=> esc_html__('Author Bio', 'homefix'),
				'comment_box' 	=> esc_html__('Comment Box', 'homefix'),
				'related_posts' => esc_html__('Related Posts', 'homefix'),
			  ),
			  'disabled'     => array(
				'author'		=> esc_html__('Author', 'homefix'),
				'date'     		=> esc_html__('Date', 'homefix'),
				'comments' 		=> esc_html__('Comments', 'homefix'),
				'categories'    => esc_html__('Categories', 'homefix'),
				'tags'  		=> esc_html__('Tags', 'homefix'),
				'social_share'  => esc_html__('Social Share', 'homefix'),
				'likes_views'   => esc_html__('Likes & Views', 'homefix'),
				'related_article' 	=> esc_html__('Related Article( Only Fixed )', 'homefix'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Elements', 'homefix'),
			'disabled_title' => esc_html__('Deactive Elements', 'homefix'),
		  ),

		  array(
			'id'             => 'post-meta-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Meta Group Positioning', 'homefix'),
			'default'        => array(
			  'enabled'      => array(
				'author'		=> esc_html__('Author', 'homefix'),
				'date'     		=> esc_html__('Date', 'homefix'),
				'comments' 		=> esc_html__('Comments', 'homefix'),
				'categories'    => esc_html__('Categories', 'homefix'),
			  ),
			  'disabled'     => array(
				'tags'  		=> esc_html__('Tags', 'homefix'),
				'social_share'  => esc_html__('Social Share', 'homefix'),
				'likes_views'   => esc_html__('Likes & Views', 'homefix'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Items', 'homefix'),
			'disabled_title' => esc_html__('Deactive Items', 'homefix'),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Related Post Options", 'homefix' ),
		  ),

		  array(
			'id'  		 => 'post-related-title',
			'type'  	 => 'text',
			'title' 	 => esc_html__('Related Posts Section Title', 'homefix'),
			'info'		 => esc_html__('Put the related posts section title here', 'homefix'),
			'default'	 => esc_html__('Related Posts', 'homefix')
		  ),

		  array(
			'id'      	   => 'post-related-columns',
			'type'         => 'image_select',
			'title'        => esc_html__('Columns', 'homefix'),
			'options'      => array(
			  'one-column' 		  => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'post-related-columns',
			),
		  ),

		  array(
			'id'  		 => 'post-related-count',
			'type'  	 => 'number',
			'title' 	 => esc_html__('No.of Posts to Show', 'homefix'),
			'info'		 => esc_html__('Put the no.of related posts to show', 'homefix'),
			'default'	 => 3
		  ),

		  array(
			'id'  		 => 'enable-related-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Excerpt Text', 'homefix'),
			'info'		 => esc_html__('YES! to display excerpt content', 'homefix'),
		  ),

		  array(
			'id'  		 => 'post-related-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'homefix'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'homefix').'</span>',
			'default' 	 => 25,
			'dependency' => array( 'enable-related-excerpt', '==', 'true' ),
		  ),

		  array(
			'id'  		 => 'enable-related-carousel',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Carousel', 'homefix'),
			'info'		 => esc_html__('YES! to enable carousel related posts', 'homefix'),
		  ),

		  array(
			'id'           => 'related-carousel-nav',
			'type'         => 'select',
			'title'        => esc_html__('Navigation Style', 'homefix'),
			'options'      => array(
			  '' 			=> esc_html__('None', 'homefix'),
			  'navigation'  => esc_html__('Navigations', 'homefix'),
			  'pager'   	=> esc_html__('Pager', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'text',
			'info'         => esc_html__('Choose navigation style to display related post carousel.', 'homefix'),
			'dependency' => array( 'enable-related-carousel', '==', 'true' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Miscellaneous Post Options", 'homefix' ),
		  ),

		  array(
			'id'  		 => 'enable-image-lightbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Feature Image Lightbox', 'homefix'),
			'info'		 => esc_html__('YES! to enable lightbox for feature image.', 'homefix'),
		  ),

		  array(
			'id'           => 'post-comments-list-style',
			'type'         => 'select',
			'title'        => esc_html__('Comments List Style', 'homefix'),
			'options'      => array(
			  'rounded' 	=> esc_html__('Rounded', 'homefix'),
			  'square'   	=> esc_html__('Square', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'rounded',
			'info'         => esc_html__('Choose comments list style to display single post.', 'homefix'),
		  ),
		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'homefix'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'homefix' ),
		  ),
		  
		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'homefix' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'homefix'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'homefix'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'homefix'),
			  'type2'      => esc_html__('Classic', 'homefix'),
			  'type4'  	   => esc_html__('Diamond', 'homefix'),
			  'type5'      => esc_html__('Shadow', 'homefix'),
			  'type6'      => esc_html__('Diamond Alt', 'homefix'),
			  'type7'  	   => esc_html__('Stack', 'homefix'),
			  'type8'  	   => esc_html__('Minimal', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of not-found template page.', 'homefix')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'homefix' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'homefix')
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'homefix'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'homefix'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'homefix')
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'homefix' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'homefix')
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'homefix'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'homefix')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'homefix'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'homefix' ),
		  ),
	
		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'homefix' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'homefix')
		  ),
	
		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'homefix'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'homefix'),
			  'type2'      => esc_html__('Teaser', 'homefix'),
			  'type3'  	   => esc_html__('Minimal', 'homefix'),
			  'type4'      => esc_html__('Counter Only', 'homefix'),
			  'type5'      => esc_html__('Belt', 'homefix'),
			  'type6'  	   => esc_html__('Classic', 'homefix'),
			  'type7'  	   => esc_html__('Boxed', 'homefix')
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of coming soon template.', 'homefix'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'homefix' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'homefix')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'homefix'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'homefix'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'homefix')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'homefix' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'homefix'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'homefix'),
			'attributes' => array( 
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'homefix').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'homefix'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'homefix'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'homefix')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'homefix'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'homefix'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'homefix'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'homefix' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'homefix'),
		'options'      => array(
		  'type1' 	   => esc_html__('Double Border', 'homefix'),
		  'type2'      => esc_html__('Tooltip', 'homefix'),
		  'type3'  	   => esc_html__('Title Top Border', 'homefix'),
		  'type4'      => esc_html__('Left Border & Pattren', 'homefix'),
		  'type5'      => esc_html__('Bottom Border', 'homefix'),
		  'type6'  	   => esc_html__('Tooltip Border', 'homefix'),
		  'type7'  	   => esc_html__('Boxed Modern', 'homefix'),
		  'type8'  	   => esc_html__('Elegant Border', 'homefix'),
		  'type9' 	   => esc_html__('Needle', 'homefix'),
		  'type10' 	   => esc_html__('Ribbon', 'homefix'),
		  'type11' 	   => esc_html__('Content Background', 'homefix'),
		  'type12' 	   => esc_html__('Classic BG', 'homefix'),
		  'type13' 	   => esc_html__('Tiny Boders', 'homefix'),
		  'type14' 	   => esc_html__('BG & Border', 'homefix'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'homefix'),
		  'type16' 	   => esc_html__('Left Border & BG', 'homefix'),
		  'type17' 	   => esc_html__('Basic', 'homefix'),
		  'type18' 	   => esc_html__('BG & Pattern', 'homefix'),
		),
		'class'          => 'chosen',
		'default_option' => esc_html__('Choose any type', 'homefix'),
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'homefix')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'homefix'),
		'button_title'    => esc_html__('Add New', 'homefix'),
		'accordion_title' => esc_html__('Add New Widget Area', 'homefix'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'homefix'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// WooCommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) && ! class_exists ( 'DTWooPlugin' ) ){

	$options[]      = array(
	  'name'        => 'woocommerce_options',
	  'title'       => esc_html__('WooCommerce', 'homefix'),
	  'icon'        => 'fa fa-shopping-cart',

	  'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "WooCommerce Shop Page Options", 'homefix' ),
		  ),

		  array(
			'id'  		 => 'shop-product-per-page',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Products Per Page', 'homefix'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'homefix').'</span>',
			'default' 	 => 12,
		  ),

		  array(
			'id'      	 => 'shop-page-product-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Product Layout', 'homefix'),
			'options'    => array(
				  1   => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-column.png',
				  2   => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-half-column.png',
				  3   => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-third-column.png',
				  4   => HOMEFIX_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 4,
			'attributes'   => array(
			  'data-depend-id' => 'shop-page-product-layout',
			),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Detail Page Options", 'homefix' ),
		  ),

		  array(
			'id'      	   => 'product-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'homefix'),
			'options'      => array(
			  'content-full-width'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'homefix'),
			'dependency'   	 => array( 'product-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'homefix'),
			'dependency' 	 => array( 'product-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 	 => 'enable-related',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Related Products', 'homefix'),
			'info'	  		 => esc_html__("YES! to display related products on single product's page.", 'homefix')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Category Page Options", 'homefix' ),
		  ),

		  array(
			'id'      	   => 'product-category-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'homefix'),
			'options'      => array(
			  'content-full-width'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-category-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'homefix'),
			'dependency'   	 => array( 'product-category-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'homefix'),
			'dependency' 	 => array( 'product-category-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Tag Page Options", 'homefix' ),
		  ),

		  array(
			'id'      	   => 'product-tag-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'homefix'),
			'options'      => array(
			  'content-full-width'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => HOMEFIX_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => HOMEFIX_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-tag-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'homefix'),
			'dependency'   	 => array( 'product-tag-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'homefix'),
			'dependency' 	 => array( 'product-tag-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

	  ),
	);
}

// -----------------------------------------
// Sociable Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'sociable_options',
  'title'       => esc_html__('Sociable', 'homefix'),
  'icon'        => 'fa fa-share-alt-square',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Sociable", 'homefix' ),
	  ),

	  array(
		'id'              => 'sociable_fields',
		'type'            => 'group',
		'title'           => esc_html__('Sociable', 'homefix'),
		'info'            => esc_html__('Click button to add type of social & url.', 'homefix'),
		'button_title'    => esc_html__('Add New Social', 'homefix'),
		'accordion_title' => esc_html__('Adding New Social Field', 'homefix'),
		'fields'          => array(
		  array(
			'id'          => 'sociable_fields_type',
			'type'        => 'select',
			'title'       => esc_html__('Select Social', 'homefix'),
			'options'      => array(
			  'delicious' 	 => esc_html__('Delicious', 'homefix'),
			  'deviantart' 	 => esc_html__('Deviantart', 'homefix'),
			  'digg' 	  	 => esc_html__('Digg', 'homefix'),
			  'dribbble' 	 => esc_html__('Dribbble', 'homefix'),
			  'envelope' 	 => esc_html__('Envelope', 'homefix'),
			  'facebook' 	 => esc_html__('Facebook', 'homefix'),
			  'flickr' 		 => esc_html__('Flickr', 'homefix'),
			  'google-plus'  => esc_html__('Google Plus', 'homefix'),
			  'gtalk'  		 => esc_html__('GTalk', 'homefix'),
			  'instagram'	 => esc_html__('Instagram', 'homefix'),
			  'lastfm'	 	 => esc_html__('Lastfm', 'homefix'),
			  'linkedin'	 => esc_html__('Linkedin', 'homefix'),
			  'pinterest'	 => esc_html__('Pinterest', 'homefix'),
			  'reddit'		 => esc_html__('Reddit', 'homefix'),
			  'rss'		 	 => esc_html__('RSS', 'homefix'),
			  'skype'		 => esc_html__('Skype', 'homefix'),
			  'stumbleupon'	 => esc_html__('Stumbleupon', 'homefix'),
			  'tumblr'		 => esc_html__('Tumblr', 'homefix'),
			  'twitter'		 => esc_html__('Twitter', 'homefix'),
			  'viadeo'		 => esc_html__('Viadeo', 'homefix'),
			  'vimeo'		 => esc_html__('Vimeo', 'homefix'),
			  'yahoo'		 => esc_html__('Yahoo', 'homefix'),
			  'youtube'		 => esc_html__('Youtube', 'homefix'),
			),
			'class'        => 'chosen',
			'default'      => 'delicious',
		  ),

		  array(
			'id'          => 'sociable_fields_url',
			'type'        => 'text',
			'title'       => esc_html__('Enter URL', 'homefix')
		  ),
		)
	  ),

   ),
);

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'homefix'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'homefix' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'homefix'),
		'info'	=> esc_html__("YES! to enable top hook.", 'homefix')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'homefix'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'homefix')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'homefix' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'homefix'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'homefix')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'homefix'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'homefix')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'homefix' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'homefix'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'homefix')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'homefix'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'homefix')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'homefix' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'homefix'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'homefix')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'homefix'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'homefix')
	  ),

		array(
			'id'  	=> 'enable-analytics-code',
			'type'  => 'switcher',
			'title' => esc_html__('Enable Tracking Code', 'homefix'),
			'info'	=> esc_html__("YES! to enable site tracking code.", 'homefix')
			),
	
			array(
			'id'  		 => 'analytics-code',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Google Analytics Tracking Code', 'homefix'),
			'info'		 => esc_html__('Either enter your Google tracking id (UA-XXXXX-X) or your full Google Analytics tracking Code here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'homefix')
			),
	
		 ),
	);	
// -----------------------------------------
// Custom Font Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'font_options',
  'title'       => esc_html__('Custom Fonts', 'homefix'),
  'icon'        => 'fa fa-font',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Fonts", 'homefix' ),
	  ),

	  array(
		'id'              => 'custom_font_fields',
		'type'            => 'group',
		'title'           => esc_html__('Custom Font', 'homefix'),
		'info'            => esc_html__('Click button to add font name & urls.', 'homefix'),
		'button_title'    => esc_html__('Add New Font', 'homefix'),
		'accordion_title' => esc_html__('Adding New Font Field', 'homefix'),
		'fields'          => array(
		  array(
			'id'          => 'custom_font_name',
			'type'        => 'text',
			'title'       => esc_html__('Font Name', 'homefix')
		  ),

		  array(
			'id'      => 'custom_font_woof',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff)', 'homefix'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff) file here.', 'homefix').'</p>',
		  ),

		  array(
			'id'      => 'custom_font_woof2',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff2)', 'homefix'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff2) file here.', 'homefix').'</p>',
		  )
		)
	  ),

   ),
);

// ------------------------------
// backup                       
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'homefix'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'homefix')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('HOMEFIX_THEME_NAME').esc_html__(' Log', 'homefix'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('HOMEFIX_THEME_NAME').esc_html__(' Theme Change Log', 'homefix')
    ),
    array(
      'type'    => 'content',
			'content' => '<pre>

2023.12.19 - version 2.9
	* Elementor Version updated with Demo content
	* Compatible with WordPress 6.4.2
			
2023.12.05 - version 2.8
	* Compatible with WordPress 6.4.1
	* Updated: All premium plugins
	* Fixed: Design and script issues

2023.11.06 - version 2.7
	* Fixed: Unyson plugin installation issue. The source is included in the theme package.
	* Compatible: latest version WordPress

2023.08.25 - version 2.6
	* Compatible: WordPress 6.3
	* Compatible: WooCommerce latest version
	* Updated: All premium plugins
	* Fixes: Layout design and script issues
	* Fixes: Kirki customizer panel design
			
2023.05.11 - version 2.5
	* Compatible with WordPress 6.2
	* Compatible with latest WooCommerce versions
	* Compatible with PHP 8.2 version
	* Updated: All premium plugins
				
2022.12.26 - version 2.4
	* Compatible with WordPress 6.1
	* Compatible with latest WooCommerce versions
	* Compatible with PHP 8.1 version
	* Updated: All premium plugins


2022.02.22 - version 2.3
	* Fixed Kirki Customizer Issue

2021.08.26 - version 2.2
	* Compatible with wordpress 5.8

2021.01.25 - version 2.1
	* Compatible with wordpress 5.6
	* Some design issues updated
	* Updated: All premium plugins

2020.11.30 - version 2.0
	* Latest jQuery fixes updated
	* Updated: All premium plugins

2020.08.13 - version 1.9
	* Compatible with wordpress 5.5

2020.08.05 - version 1.8

	* Updated: Envato Theme check
	* Updated: sanitize_text_field added
	* Updated: All wordpress theme standards
	* Updated: All premium plugins

2020.06.10 - version 1.7

	* Updated : Reservation plugin issue
	* Updated : Warning message
	* Updated : Form values not passing to next page
	* Some design tweaks

2020.02.07 - version 1.6

	* Updated : All premium plugins			

2020-01-30 - version 1.5

	* Compatible with wordpress 5.3.2
	* Updated: All premium plugins
	* Updated: All wordpress theme standards
	* Updated: Privacy and Cookies concept
	* Updated: Gutenberg editor support for custom post types

	* Fixed: Google Analytics issue
	* Fixed: Mailchimp email client issue
	* Fixed: Privacy Button Issue
	* Fixed: Gutenberg check for old wordpress version

	* Improved: Tags taxonomy added for portfolio
	* Improved: Single product breadcrumb section
	* Improved: Revisions options added for all custom posts
			
2019.11.11 - version 1.4
	* Compatible with wordpress 5.2.4
	* Updated: All premium plugins
	* Updated: Revisions added to all custom post types
	* Updated: Gutenberg editor support for custom post types
	* Updated: Link for phone number module

	* Fixed: Google Analytics issue
	* Fixed: Mailchimp email client issue
	* Fixed: Site title color
	* Fixed: Privacy popup bg color

	* Improved: Tags taxonomy added for portfolio
	* Improved: Woocommerce cart module added with custom class option

	* New: Whatsapp Shortcode			
2019.05.17 - version 1.3
	* Gutenberg Latest fixes
	* Updated Visual Composer and Layerslider plugins

2019.05.06 - version 1.2
	* Gutenberg Latest update compatible
	* Portfolio Video option
	* Coming Soon page fix
	* Portfolio archive page breadcrumb fix
	* Mega menu image fix
	* GDPR product single page fix
	* Codestar framework update
	* Simple Booking Manager plugin fix
	* Wpml xml file updated
	* disable options for likes and views in single post page
	* Updated latest version of all third party plugins
	* Some design tweaks

2018.12.15 - version 1.1
 * Updated with Optimised Demo Content
 * Gutenberg compatible updated
 * WordPress version 5.0.1 Compatible

2018.11.30 - version 1.0
 * First release!  </pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'homefix'),
  'icon'   => 'fa fa-plug'
);


CSFramework::instance( $settings, $options );