<?php

function homefix_kirki_config() {
	return 'homefix_kirki_config';
}

function homefix_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo'] = '1';
	$defaults['custom-logo'] = HOMEFIX_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo'] = HOMEFIX_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon'] = HOMEFIX_THEME_URI.'/images/favicon.ico';
	$defaults['custom-title-color'] = '#000000';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['primary-color']      = '#ffc527';
	$defaults['secondary-color']    = '#e74216';
	$defaults['tertiary-color']     = '#414141';	
	$defaults['body-bg-color']      = '';
	$defaults['body-content-color'] = '#777777';
	$defaults['body-a-color']       = '#e74216';
	$defaults['body-a-hover-color'] = '#777777';

	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Josefin Sans',
		'variant' => '300',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '40px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#ffffff',
		'text-align' => 'unset',
		'text-transform' => 'uppercase' );
	$defaults['customize-breadcrumb-typo'] = '1';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Josefin Sans',
		'variant' => '600',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => 'normal',
		'letter-spacing' => '0.5px',
		'color' => '#9c9c9c',
		'text-align' => 'unset',
		'text-transform' => 'none' );

	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Josefin Sans',
		'variant' => '600',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '30px',
		'letter-spacing' => '0',
		'color' => '#ffffff',
		'text-align' => 'left',
		'text-transform' => 'uppercase' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Poppins',
		'variant' => '400',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '14px',
		'line-height' => '26px',
		'letter-spacing' => '0',
		'color' => '#ffffff',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Josefin Sans',
		'variant' => '600',
		'font-size' => '36px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Josefin Sans',
		'variant' => '600',
		'font-size' => '30px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Josefin Sans',
		'variant' => '600',
		'font-size' => '24px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Josefin Sans',
		'variant' => '600',
		'font-size' => '20px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Josefin Sans',
		'variant' => '600',
		'font-size' => '18px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Josefin Sans',
		'variant' => '600',
		'font-size' => '14px',
		'line-height' => 'normal',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Poppins',
		'variant' => '400',
		'font-size' => '14px',
		'line-height' => '24px',
		'letter-spacing' => 'normal',
		'color' => '#777777',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	$defaults['footer-content-a-color'] = '';
	$defaults['footer-content-a-hover-color'] = '';	

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function homefix_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','homefix'),
		"top center"    => esc_attr__('Top Center','homefix'),
		"top right"     => esc_attr__('Top Right','homefix'),
		"center left"   => esc_attr__('Center Left','homefix'),
		"center center" => esc_attr__('Center Center','homefix'),
		"center right"  => esc_attr__('Center Right','homefix'),
		"bottom left"   => esc_attr__('Bottom Left','homefix'),
		"bottom center" => esc_attr__('Bottom Center','homefix'),
		"bottom right"  => esc_attr__('Bottom Right','homefix'),
	);

	return $positions;
}

function homefix_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','homefix'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','homefix'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','homefix'),
		"no-repeat" => esc_attr__('No Repeat','homefix')
	);

	return $image_repeats;
}

function homefix_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','homefix'),
		"dotted" => esc_attr__('Dotted','homefix'),
		"dashed" => esc_attr__('Dashed','homefix'),
		"solid"	 => esc_attr__('Solid','homefix'),
		"double" => esc_attr__('Double','homefix'),
		"groove" => esc_attr__('Groove','homefix'),
		"ridge"	 => esc_attr__('Ridge','homefix'),
	);

	return $image_repeats;
}

function homefix_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','homefix'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'homefix'),
        "bounce"             =>  esc_attr__("bounce",'homefix'),
        "bounceIn"           =>  esc_attr__("bounceIn",'homefix'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'homefix'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'homefix'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'homefix'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'homefix'),
        "bounceOut"          =>  esc_attr__("bounceOut",'homefix'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'homefix'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'homefix'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'homefix'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'homefix'),
        "expandOpen"         =>  esc_attr__("expandOpen",'homefix'),
        "expandUp"           =>  esc_attr__("expandUp",'homefix'),
        "fadeIn"             =>  esc_attr__("fadeIn",'homefix'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'homefix'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'homefix'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'homefix'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'homefix'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'homefix'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'homefix'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'homefix'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'homefix'),
        "fadeOut"            =>  esc_attr__("fadeOut",'homefix'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'homefix'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'homefix'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'homefix'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'homefix'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'homefix'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'homefix'),
        "flash"              =>  esc_attr__("flash",'homefix'),
        "flip"               =>  esc_attr__("flip",'homefix'),
        "flipInX"            =>  esc_attr__("flipInX",'homefix'),
        "flipInY"            =>  esc_attr__("flipInY",'homefix'),
        "flipOutX"           =>  esc_attr__("flipOutX",'homefix'),
        "flipOutY"           =>  esc_attr__("flipOutY",'homefix'),
        "floating"           =>  esc_attr__("floating",'homefix'),
        "hatch"              =>  esc_attr__("hatch",'homefix'),
        "hinge"              =>  esc_attr__("hinge",'homefix'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'homefix'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'homefix'),
        "pullDown"           =>  esc_attr__("pullDown",'homefix'),
        "pullUp"             =>  esc_attr__("pullUp",'homefix'),
        "pulse"              =>  esc_attr__("pulse",'homefix'),
        "rollIn"             =>  esc_attr__("rollIn",'homefix'),
        "rollOut"            =>  esc_attr__("rollOut",'homefix'),
        "rotateIn"           =>  esc_attr__("rotateIn",'homefix'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'homefix'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'homefix'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'homefix'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'homefix'),
        "rotateOut"          =>  esc_attr__("rotateOut",'homefix'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'homefix'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'homefix'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'homefix'),
        "shake"              =>  esc_attr__("shake",'homefix'),
        "slideDown"          =>  esc_attr__("slideDown",'homefix'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'homefix'),
        "slideLeft"          =>  esc_attr__("slideLeft",'homefix'),
        "slideRight"         =>  esc_attr__("slideRight",'homefix'),
        "slideUp"            =>  esc_attr__("slideUp",'homefix'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'homefix'),
        "stretchRight"       =>  esc_attr__("stretchRight",'homefix'),
        "swing"              =>  esc_attr__("swing",'homefix'),
        "tada"               =>  esc_attr__("tada",'homefix'),
        "tossing"            =>  esc_attr__("tossing",'homefix'),
        "wobble"             =>  esc_attr__("wobble",'homefix'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'homefix'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'homefix'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'homefix')
    );

	return $animations;
}

function homefix_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( is_countable($fonts) && count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'homefix_custom_fonts', 20 );