<?php
if (! class_exists ( 'DTBookingManagerVcModules' )) {

	class DTBookingManagerVcModules {

		function __construct() {

			add_action( 'admin_enqueue_scripts', array ( $this, 'dt_booking_vc_admin_scripts') );
			add_action( 'wp_enqueue_scripts', array ( $this, 'dt_booking_wp_enqueue_scripts' ) );

			add_action( 'admin_init', array ( $this, 'dt_booking_load_modules' ) , 1000 );
			add_action( 'init', array( $this, 'dt_booking_load_shortcodes' ) );
		}

		function dt_booking_vc_admin_scripts( $hook ) {

			if( $hook == "post.php" || $hook == "post-new.php" ) {
				wp_enqueue_style( 'dt-booking-vc-admin', plugins_url ('designthemes-booking-manager') . '/vc/style.css', array(), false, 'all' );
			}
		}

		function dt_booking_wp_enqueue_scripts() {

			wp_enqueue_style ( 'fontawesome-all', plugins_url ('designthemes-booking-manager') . '/vc/css/fontawesome-all.min.css' );
			wp_enqueue_style ( 'designthemes-booking-manager', plugins_url ('designthemes-booking-manager') . '/vc/css/booking.css', array(), false, 'all' );
			wp_enqueue_script ( 'designthemes-booking-manager', plugins_url ('designthemes-booking-manager') . '/vc/js/booking.js', array ('jquery'), false, true );

			wp_enqueue_script ( 'jquery-ui-datepicker' );
			wp_enqueue_style ( 'jquery-ui-datepicker','https://code.jquery.com/ui/1.11.0/themes/sunny/jquery-ui.css' );
			wp_enqueue_script( 'dt-reservation', plugins_url ('designthemes-booking-manager') . '/vc/js/reservation.js', array(), false, true );
			wp_localize_script( 'dt-reservation', 'dtBookingManager', array(
				'ajaxurl' => admin_url('admin-ajax.php'),
				'plugin_url' => plugin_dir_url ( __FILE__ ),
				'eraptdatepicker' => esc_html__('Please Select Service and Date', 'designthemes-booking-manager'),
				'name' => esc_html__('Name:', 'designthemes-booking-manager'),
				'phone' => esc_html__('Phone:', 'designthemes-booking-manager'),
				'email' => esc_html__('Email:', 'designthemes-booking-manager'),
				'address' => esc_html__('Address:', 'designthemes-booking-manager'),
				'message' => esc_html__('Message:', 'designthemes-booking-manager'),
				'department' => esc_html__('Department:', 'designthemes-booking-manager'),
				'staff' => esc_html__('Staff:', 'designthemes-booking-manager'),
				'date' => esc_html__('Date:', 'designthemes-booking-manager'),
				'time' => esc_html__('Time:', 'designthemes-booking-manager'),
			));
		}

		function dt_booking_load_modules() {

			if( ! function_exists( 'vc_map' ) ) {
				return;
			}

			require_once 'modules/reservation_form.php';
			require_once 'modules/reserve_appointment.php';
			require_once 'modules/person_item.php';
			require_once 'modules/service_item.php';
			require_once 'modules/service_list.php';
		}

		function dt_booking_load_shortcodes() {

			require_once 'shortcodes/base.php';

			require_once 'shortcodes/reservation_form.php';
			require_once 'shortcodes/reserve_appointment.php';
			require_once 'shortcodes/person_item.php';
			require_once 'shortcodes/service_item.php';
			require_once 'shortcodes/service_list.php';
		}
	}
}