<?php add_action( 'vc_before_init', 'dt_sc_tooltip_info_vc_map' );
function dt_sc_tooltip_info_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Tooltip Info", 'designthemes-core' ),
		"base" => "dt_sc_tooltip_info",
		"icon" => "dt_sc_tooltip_info",
		"category" => DT_VC_CATEGORY,
		'description' => esc_html__( 'Section for Tooltips', 'designthemes-core' ),
		"params" => array(

      		# Title
      		array(
      			"type"       => "textfield",
				"heading"    => esc_html__( "Title", 'designthemes-core' ),
				"param_name" => "title",
      		),

			# Image url
			array(
				'type'       => 'attach_image',
				'heading'    => esc_html__('Image URL', 'designthemes-core'),
				'param_name' => 'image',
			),

			# Position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Position', 'designthemes-core'),
				'param_name' => 'position',
				'admin_label' => true,
				'value' => array(
					esc_html__('Top','designthemes-core') => 'top',
					esc_html__('Bottom','designthemes-core') => 'bottom'
				),
				'std' => 'top'
			),

      		# URL
      		array(
      			'type' => 'vc_link',
      			'heading' => esc_html__( 'URL (Link)', 'designthemes-core' ),
      			'param_name' => 'link',
      			'description' => esc_html__( 'Add tooltip link', 'designthemes-core' )
      		),

      		# Content
      		array(
      			'type' => 'textarea_html',
      			'heading' => esc_html__( 'Content', 'designthemes-core' ),
      			'param_name' => 'content',
      			'value' => 'In tempus est in ante suscipit tincidunt. Sed non interdum nunc. Nunc ac mi ornare, hendrerit eros et, bibendum mi. Cras a orci sapien. Sed sit amet nulla pharetra, consectetur dui ut, hendrerit nunc.'
      		),

			# Extra Class
      		array(
				"type"        => "textfield",
				"heading"     => esc_html__( "Extra class name", 'designthemes-core' ),
				"param_name"  => "class",
				'description' => esc_html__('Style particular icon box element differently - add a class name and refer to it in custom CSS','designthemes-core')
      		)
		)
	) );
}?>