<?php
/*
Plugin Name: Simple Estimator
Plugin URI: http://wedesignthemes.com/plugins/simple-estimator/
Description: Simple estimator plug-in
Version: 1.4
Author: DesignThemes
Author URI: http://wedesignthemes.com
Text Domain: dt-estimator
*/

if (! class_exists ( 'DTEstimatorPlugin' ) ) {

	class DTEstimatorPlugin {

		function __construct() {

			add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ) );			

			require_once plugin_dir_path ( __FILE__ ) . '/utils.php';

			add_action ( 'init', array( $this, 'dt_load_textdomain' ) );

			add_action( 'wp_enqueue_scripts', array( $this, 'dt_estimator_enqueue_scripts') );

		}

		function dt_load_textdomain() {

			load_plugin_textdomain ( 'dt-estimator', false, dirname ( plugin_basename ( __FILE__ ) ) . '/languages/' );
		}

		function plugins_loaded() {

			if( !class_exists( 'Vc_Manager' ) ) {
				add_action ('admin_notices', array( $this, 'vc_plugin_notice' ) );
				return;
			} else {
				// Register Visual Composer Modules
				require_once plugin_dir_path ( __FILE__ ) . '/visual-composer/register-visual-composer.php';
				if( class_exists('DTEstimatorVC') ){
					new DTEstimatorVC();
				}						
			}			
		}

		function vc_plugin_notice() {

			$plugin  = get_plugin_data(__FILE__);

			echo '<div class="updated notice is-dismissible">';
			echo '<p>';
			echo '	<strong>'.$plugin['Name'].'</strong> ';
			echo __('requires','designthemes-core');
			echo '	<strong><a href="https://codecanyon.net/item/visual-composer-page-builder-for-wordpress/242431" target="_blank"> Visual Composer </a></strong> ';
			echo __('plugin to be installed and activated on your site','designthemes-core');
			echo '</p>';
			echo '<button type="button" class="notice-dismiss">';
			echo '	<span class="screen-reader-text">'.__('Dismiss this notice.','designthemes-core').'</span>';
			echo '	</button>';
			echo '</div>';
		}		


		function dt_estimator_enqueue_scripts() {

			wp_enqueue_style( 'dt-simple-estimator-style', plugins_url('dt-simple-estimator') .'/css/front/style.css', false, false, 'all' );
			wp_enqueue_script( 'dt-simple-estimator-scripts',  plugins_url('dt-simple-estimator') . '/js/front/custom.js', array('jquery', 'jquery-ui-slider', 'jquery.dropdown', 'jquery.dropdown.modernizr'), null, true );

			wp_register_script( 'jquery.dropdown.modernizr', plugins_url( 'dt-simple-estimator' ) .'/js/front/jquery.dropdown.modernizr.js' );
			wp_register_script( 'jquery.dropdown', plugins_url( 'dt-simple-estimator' ) .'/js/front/jquery.dropdown.js', array( 'jquery'), false, true );

			wp_register_style( 'dt-simple-estimator-custom-inline', '', array(), false, 'all' );
		}
	}
}

if ( class_exists ( 'DTEstimatorPlugin' ) ) {

	new DTEstimatorPlugin();
}