jQuery.noConflict();
jQuery(document).ready(function($){
    "use strict";

    var dt_parse_float = function( _arg ) {

    	var r = parseFloat( _arg );
    	if ( isNaN( r ) ) r = 0;

    	return r;
    };

    // Init Slider
    $(".dt-sc-simple-estimator-slider-wrap").each(function(){
    	var _self = $(this),
    		_slider = _self.find(".item-slider");

    	_slider.slider({
    		min: Number( _slider.attr('data-min') ),
    		max: Number( _slider.attr('data-max') ),
    		step: Number( _slider.attr('data-step') ),
    		value: Number( _slider.attr('data-init') ),
    	});

    	var _slider_handle = _slider.find(".ui-slider-handle");
    	_slider_handle.append( _self.find('.item-slider-value') );
    	_self.find('.item-slider-value').html( _slider.slider( 'value') );
    });
    
	// Quote Total
    window.dt_quote_total = function( _estimator ) {

    	var _total = 0,
    	_total_handle = _estimator.find(".dt-sc-simple-estimator-total-wrap .total");

    	// Simple Slider Type
	    _estimator.find(".item-slider")
	    	.not('.dt-sc-simple-estimator-multiply-wrap .item-slider')
	    	.not('.dt-sc-simple-estimator-group-wrap .item-slider')
	    	.each(function(){
	    		var _self = $(this),
	    			_unit = dt_parse_float( _self.attr('data-unit') ),
	    			_value = _self.slider( 'value' );

	    		_value = _unit * _value;
	    		_total += _value;
	    	});

	    // Simple Drop Down
	    _estimator.find(".item-select-hidden")
	    	.not('.dt-sc-simple-estimator-multiply-wrap .item-select-hidden')
	    	.not('.dt-sc-simple-estimator-group-wrap .item-select-hidden')
	    	.each(function(){
	    		var _self = $(this),
	    			_parent = _self.parents('.dt-sc-simple-estimator-select-wrap'),
	    			_value = dt_parse_float( _parent.attr( 'data-value' ) );

	    		_total += _value;
	    	});

	    // Simple Switch	    
	    _estimator.find(".item-switch")
	    	.not('.dt-sc-simple-estimator-multiply-wrap .item-switch')
	    	.not('.dt-sc-simple-estimator-group-wrap .item-switch')
	    	.each(function(){
	    		var _self = $(this);

	    		if( _self.hasClass( 'item-switch-on' ) ) {
	    			_total += dt_parse_float( _self.attr( 'data-on') );
	    		} else {
	    			_total += dt_parse_float( _self.attr( 'data-off') );
	    		}
	    	});

	    // Simple Input Number
	    _estimator.find(".item-number")
	    	.not('.dt-sc-simple-estimator-multiply-wrap .item-number')
	    	.not('.dt-sc-simple-estimator-group-wrap .item-number')
	    	.each(function(){
	    		var _self = $(this),
	    			_unit = dt_parse_float( _self.attr('data-unit') ),
	    			_value = dt_parse_float( _self.val() );

	    		_value = _unit * _value;
	    		_total += _value;	    			    	
	    	});

        
	    // Multiply Block
	    _estimator.find(".dt-sc-simple-estimator-multiply-wrap").each(function(){
	    	var _self = $(this),
	    		_mb_total = 0,
	    		_mb_first = true;

	    	// Multiply Block Slider 	
	    	_self.find(".item-slider").each(function(){
	    		var _self = $(this),
	    			_unit = dt_parse_float( _self.attr('data-unit') ),
	    			_value = _self.slider( 'value' );

	    		_value = _unit * _value;

	    		_mb_total = ( _mb_first ) ? _value : _mb_total * _value;
	    		_mb_first = false;
	    	});

	    	// Multiply Block Select
			_self.find(".item-select-hidden").each(function(){
				var _self = $(this),
					_parent = _self.parents('.dt-sc-simple-estimator-select-wrap'),
					_value = dt_parse_float( _parent.attr( 'data-value' ) );

	    		_mb_total = ( _mb_first ) ? _value : _mb_total * _value;
	    		_mb_first = false;
			});

			// Multiply Block Switch
	    	_self.find(".item-switch").each(function(){
	    		var _self = $(this),
	    			_value = '';

	    		_value = _self.hasClass( 'item-switch-on' )  ? dt_parse_float( _self.attr( 'data-on') ) : dt_parse_float( _self.attr( 'data-off') );
	    		
	    		_mb_total = ( _mb_first ) ? _value : _mb_total * _value;
	    		_mb_first = false;
	    	});

	    	// Multiply Block Number
	    	_self.find(".item-number").each(function(){
	    		var _self = $(this),
	    			_unit = dt_parse_float( _self.attr('data-unit') ),
	    			_value = dt_parse_float( _self.val() );

	    		_value = _unit * _value;

	    		_mb_total = ( _mb_first ) ? _value : _mb_total * _value;
	    		_mb_first = false;	    		
	    	});

			_total += _mb_total;
	    });
	    // Multiply Block
	    
	    // Group Block	    	
	    _estimator.find('.dt-sc-simple-estimator-group-wrap').each(function(){
	    	var _self = $(this),
	    		_group_array = [],
	    		_eval = _self.attr('data-eval');

	    	_self.find(".input-item-wrap").each(function(){

	    		var _self = $(this),
	    			_value = 0;

	    		// Slider
	    		_self.find(".item-slider").each(function(){
	    			var _self = $(this),
	    				_unit = dt_parse_float( _self.attr('data-unit') ),
	    				_val = _self.slider( 'value' );	    			

	    			_value = _unit * _val;
	    		});

	    		// Dropdown
	    		_self.find(".item-select-hidden").each(function(){
	    			var _self = $(this),
	    				_parent = _self.parents('.dt-sc-simple-estimator-select-wrap');

	    			_value = dt_parse_float( _parent.attr( 'data-value' ) );
	    		});

	    		// Switch
	    		_self.find(".item-switch").each(function(){
	    			var _self = $(this);
	    			if( _self.hasClass( 'item-switch-on' ) ) {
	    				_value =  dt_parse_float( _self.attr( 'data-on') );
	    			} else {
	    				_value = dt_parse_float( _self.attr( 'data-off') );
	    			}
	    		});

	    		// Number
	    		_self.find(".item-number").each(function(){
	    			var _self = $(this),
	    				_unit = dt_parse_float( _self.attr('data-unit') ),
	    				_val = dt_parse_float( _self.val() );

	    			_value = _unit * _val;
	    		});

	    		_group_array.push( _value );
	    	});

	    	var _patt = /\$\d+/igm;
	    	var _match = _eval.match( _patt );

	    	for ( var i = 0; i < _match.length; i++ ) {
	    		_eval = _eval.replace( _match[ i ], _group_array[ i ] );
			}

			var _gtotal = eval( '(function() {' + _eval + '}())' );
			_total += _gtotal;
	    });
	    // Group Block        
       
    	_total = _total.toFixed( 2 ).replace( /(\d)(?=(\d{3})+\.)/g, '$1,' );
    	_total_handle.html( _total );
    	_total_handle.attr('data-total', _total );
    };
	// Quote Total

    $(".dt-sc-simple-estimator-wrap").each(function() {

    	var _self = $(this),
    		_next = _self.find('.item-button-next'),
    		_form = _self.find('.dt-sc-simple-estimator-form-wrap'),
    		_submit = _form.find('.item-button-submit');

        _self.find(".item-number").keypress(function (evt) {
            evt.preventDefault();
        });                

    	dt_quote_total( _self );

    	_next.on('click', function(){
    		$( 'html, body' ).delay( 1000 ).animate({
    			scrollTop :  _form.offset().top - 30
    		}, 400);

    		_form.addClass('active');
    		_self.removeClass('active');
    	});

    	_submit.on('click', function(){

            var _quote = '',
    			_valiation = true,
                _currency = _form.parents(".dt-sc-simple-estimator-wrap").find(".dt-sc-simple-estimator-total-wrap span.currency").html(),
				_total = _currency + _form.parents(".dt-sc-simple-estimator-wrap").find(".dt-sc-simple-estimator-total-wrap span.total").html(),
    			_admin_email = _form.find("[name='admin-email']").val(),
    			_email_subject = _form.find("[name='email-subject']").val(),
    			_client_mail = ( _form.find("[name='client-quote']").length && _form.find("[name='client-quote']").prop( 'checked' ) ) ? 'yes' : 'no',
                _products = new Array();

    		_form.find(".item-field").each(function(){
    			var _self = $(this);
    			if( _self.hasClass('item-field-required') && _self.val() == '' ) {
    				_self.addClass('item-field-empty');
    				_valiation = false;
    			}

                if( _self.hasClass('item-email-field') ) {

                    var _email = _self.val(),
                        _at = _email.indexOf("@"),
                        _dot = _email.indexOf(".");

                    if ( _at<1 || _dot<_at+2 || _dot+2>=_email.length) {
                        _self.addClass('error');
                        _valiation = false;
                    }
                }

                if( _self.hasClass('item-phone-field') ) {
                    var _phone = _self.val(),
                        _pattern = /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/;

                    if( !_phone.match(_pattern) ) {
                        _self.addClass('error');
                        _valiation = false;
                    }
                }
    		});

    		if( ! _valiation ) {
    			_form.find(".item-form-message").hide().html( _form.attr('data-validation') ).addClass('warning').fadeIn();
    			return false;
    		}

    		_self.find(".dt-sc-simple-estimator-item").each(function(){

    			var _self = $(this),
    				_label = _self.find( '.item-label' ).html(),
    				_item_val = 0;                    

    			// Switch
    			_self.find(".item-switch").each(function(){
    				var _self = $(this),
                        _pid = '';

    				if( _self.hasClass( 'item-switch-on' ) ) {
		    			_item_val = dt_parse_float( _self.attr( 'data-on') );
                        _pid = _self.attr('data-on-id');
	    			} else {
	    				_item_val = dt_parse_float( _self.attr( 'data-off') );
                        _pid = _self.attr('data-off-id');
	    			}

                    if ( _pid !== undefined && _pid !== null ) {
                        _products.push({
                            id : parseInt( _pid ),
                            quantity : 1
                        });
                    }
    			});

    			// Slider
    			_self.find(".item-slider").each(function(){
    				var _self = $(this),
    					_unit = dt_parse_float( _self.attr('data-unit') ),
    					_value = _self.slider( 'value' ),
                        _pid = '';

    				_item_val = _unit * _value;
    				_label = _label + ": (" + _value + ")";

                    if( _self.hasClass('woo-field') ) {

                        _pid = _self.attr('data-pid');

                        if ( _pid !== undefined && _pid !== null ) {
                            _products.push({
                                id : parseInt( _pid ),
                                quantity : parseInt( _value )
                            });
                        }
                    }
    			});

    			// Number
    			_self.find(".item-number").each(function(){
    				var _self = $(this),
    					_unit = dt_parse_float( _self.attr('data-unit') ),
    					_value = dt_parse_float( _self.val() );

    				_item_val = _unit * _value;    				
    				_label = _label + ": (" + _value + ")";
    			});

    			// Dropdown
    			_self.find(".item-select-hidden").each(function(){
    				var _self = $(this),
    					_parent = _self.parents('.dt-sc-simple-estimator-select-wrap'),
    					_des = _parent.find(".cd-dropdown-item-wrap:first").html();

    				_item_val = dt_parse_float( _parent.attr( 'data-value' ) );

    				_des = _des.replace( '<p class="description">', '/' );
    				_des = _des.replace( '</p>', '' );

    				if ( _des !== undefined && _des !== null ) {
    					_label = _label + ": (" + _des + ")";
    				}

                    if( _parent.hasClass( 'woo-field' ) ) {

                        var _pid = _parent.attr( 'data-pid' );

                        if ( _pid !== undefined && _pid !== null && parseInt( _pid ) > 0 ) {
                            _products.push({
                                id : parseInt( _pid ),
                                quantity : 1
                            });
                        }
                    }    				
    			});

    			_item_val = _item_val.toFixed( 2 );

                if( _item_val > 0 ) {

                    if ( typeof( _label ) !== 'undefined' && _label !== null ) {
                        _quote += encodeURI(
                            '<tr style="background:#f7f7f7;"> <td style="padding:.5em;">' + _label + '</td> <td style="text-align:right;padding:.5em;">' + _currency + _item_val + '</td> </tr>'
                        );
                    }
	    		}    			
    		});

    		var _data = {
    			'action' : 'dt_estimator_mail',
    			'admin_email' : _admin_email,
    			'email_subject' : _email_subject,
    			'client_mail' : _client_mail,
    			'quote' : _quote,
    			'quote_total' : _total,

    			'name' : _form.find(".item-name-field").val(),
    			'email' : _form.find(".item-email-field").val(),
    			'phone' : _form.find(".item-phone-field").val(),
    			'address' : _form.find(".item-address-field").val(),
				'date' : _form.find(".item-date-field").val(),
    			'message' : _form.find(".item-message-field").val(),
    		};

    		$.ajax({
    			type : "POST",
    			url : _form.attr('data-ajax'),
    			data : _data,
    			beforeSend : function(){
    			}
    		}).done(function (res) {

                $.ajax({
                    type : "POST",
                    url : _form.attr('data-ajax'),
                    data : {
                        'action' : 'dt_update_woo_cart',
                        'products' : _products
                    }
                });

    			var _class = '';
    			if( res.status == 'ok' ) {
    				_class = "success";
    			} else if( res.status == 'failure' ) {
    				_class = "failure";
    			}

    			var _message = res.message;
    			_form.find(".item-form-message").html( _message ).addClass( _class );
    		}).fail(function () {
    		});
    	});
    });

    // Slider
    $(".dt-sc-simple-estimator-slider-wrap").each(function(){

    	var _self = $(this),
    		_estimator = _self.parents(".dt-sc-simple-estimator-wrap"),
    		_slider = _self.find(".item-slider");

    	_slider.slider({
    		slide: function(event, ui){
    			var val = ui.value;
    			_slider.slider( 'value', val );
    			_self.find('.item-slider-value').html( _slider.slider( 'value') );  
    			dt_quote_total( _estimator );    			   			
    		}
    	});    	
    });

	// Dropdown
	$(".dt-sc-simple-estimator-select-wrap").each(function(){
		var _self = $(this),
			_select = $(this).find('.item-select'),
    		_estimator = _self.parents(".dt-sc-simple-estimator-wrap");

    	_select.dropdown({
			gutter:10,
			onOptionSelect : function( opt ) {
                _self.attr("data-value", opt.data('value') );

                if( _self.hasClass('woo-field') ) {
                    _self.attr("data-pid", opt.data('pid') );
                }

    			dt_quote_total( _estimator );    			   			
			}
		});
	});

	// Switch
	$(".dt-sc-simple-estimator-switch-wrap").each(function(){

    	var _self = $(this),
    		_estimator = _self.parents(".dt-sc-simple-estimator-wrap"),
    		_switch = _self.find(".item-switch");

    	_switch.on( 'click', function(){

    		if( _switch.hasClass( 'item-switch-on' ) ) {
    			_switch.removeClass( 'item-switch-on' );
    		}else {
    			_switch.addClass( 'item-switch-on' );
    		}

    		dt_quote_total( _estimator );
    	});
	});

	// Number	
	$(".dt-sc-simple-estimator-number-wrap").each(function(){

    	var _self = $(this),
    		_estimator = _self.parents(".dt-sc-simple-estimator-wrap"),
    		_number = _self.find(".item-number");

    	_number.on( 'keyup change click', function(){
    		dt_quote_total( _estimator );
    	});    	
	});
});