<?php
function dt_estimator_currencies() {
	return array_unique( array(
		__( 'United Arab Emirates dirham', 'dt-estimator' ) => 'AED' ,
		__( 'Afghan afghani', 'dt-estimator' ) => 'AFN' ,
		__( 'Albanian lek', 'dt-estimator' ) => 'ALL' ,
		__( 'Armenian dram', 'dt-estimator' ) => 'AMD' ,
		__( 'Netherlands Antillean guilder', 'dt-estimator' ) => 'ANG' ,
		__( 'Angolan kwanza', 'dt-estimator' ) => 'AOA' ,
		__( 'Argentine peso', 'dt-estimator' ) => 'ARS' ,
		__( 'Australian dollar', 'dt-estimator' ) => 'AUD' ,
		__( 'Aruban florin', 'dt-estimator' ) => 'AWG' ,
		__( 'Azerbaijani manat', 'dt-estimator' ) => 'AZN' ,
		__( 'Bosnia and Herzegovina convertible mark', 'dt-estimator' ) => 'BAM' ,
		__( 'Barbadian dollar', 'dt-estimator' ) => 'BBD' ,
		__( 'Bangladeshi taka', 'dt-estimator' ) => 'BDT' ,
		__( 'Bulgarian lev', 'dt-estimator' ) => 'BGN' ,
		__( 'Bahraini dinar', 'dt-estimator' ) => 'BHD' ,
		__( 'Burundian franc', 'dt-estimator' ) => 'BIF' ,
		__( 'Bermudian dollar', 'dt-estimator' ) => 'BMD' ,
		__( 'Brunei dollar', 'dt-estimator' ) => 'BND' ,
		__( 'Bolivian boliviano', 'dt-estimator' ) => 'BOB' ,
		__( 'Brazilian real', 'dt-estimator' ) => 'BRL' ,
		__( 'Bahamian dollar', 'dt-estimator' ) => 'BSD' ,
		__( 'Bitcoin', 'dt-estimator' ) => 'BTC' ,
		__( 'Bhutanese ngultrum', 'dt-estimator' ) => 'BTN' ,
		__( 'Botswana pula', 'dt-estimator' ) => 'BWP' ,
		__( 'Belarusian ruble', 'dt-estimator' ) => 'BYR' ,
		__( 'Belize dollar', 'dt-estimator' ) => 'BZD' ,
		__( 'Canadian dollar', 'dt-estimator' ) => 'CAD' ,
		__( 'Congolese franc', 'dt-estimator' ) => 'CDF' ,
		__( 'Swiss franc', 'dt-estimator' ) => 'CHF' ,
		__( 'Chilean peso', 'dt-estimator' ) => 'CLP' ,
		__( 'Chinese yuan', 'dt-estimator' ) => 'CNY' ,
		__( 'Colombian peso', 'dt-estimator' ) => 'COP' ,
		__( 'Costa Rican colon', 'dt-estimator' ) => 'CRC' ,
		__( 'Cuban convertible peso', 'dt-estimator' ) => 'CUC' ,
		__( 'Cuban peso', 'dt-estimator' ) => 'CUP' ,
		__( 'Cape Verdean escudo', 'dt-estimator' ) => 'CVE' ,
		__( 'Czech koruna', 'dt-estimator' ) => 'CZK' ,
		__( 'Djiboutian franc', 'dt-estimator' ) => 'DJF' ,
		__( 'Danish krone', 'dt-estimator' ) => 'DKK' ,
		__( 'Dominican peso', 'dt-estimator' ) => 'DOP' ,
		__( 'Algerian dinar', 'dt-estimator' ) => 'DZD' ,
		__( 'Egyptian pound', 'dt-estimator' ) => 'EGP' ,
		__( 'Eritrean nakfa', 'dt-estimator' ) => 'ERN' ,
		__( 'Ethiopian birr', 'dt-estimator' ) => 'ETB' ,
		__( 'Euro', 'dt-estimator' ) => 'EUR' ,
		__( 'Fijian dollar', 'dt-estimator' ) => 'FJD' ,
		__( 'Falkland Islands pound', 'dt-estimator' ) => 'FKP' ,
		__( 'Pound sterling', 'dt-estimator' ) => 'GBP' ,
		__( 'Georgian lari', 'dt-estimator' ) => 'GEL' ,
		__( 'Guernsey pound', 'dt-estimator' ) => 'GGP' ,
		__( 'Ghana cedi', 'dt-estimator' ) => 'GHS' ,
		__( 'Gibraltar pound', 'dt-estimator' ) => 'GIP' ,
		__( 'Gambian dalasi', 'dt-estimator' ) => 'GMD' ,
		__( 'Guinean franc', 'dt-estimator' ) => 'GNF' ,
		__( 'Guatemalan quetzal', 'dt-estimator' ) => 'GTQ' ,
		__( 'Guyanese dollar', 'dt-estimator' ) => 'GYD' ,
		__( 'Hong Kong dollar', 'dt-estimator' ) => 'HKD' ,
		__( 'Honduran lempira', 'dt-estimator' ) => 'HNL' ,
		__( 'Croatian kuna', 'dt-estimator' ) => 'HRK' ,
		__( 'Haitian gourde', 'dt-estimator' ) => 'HTG' ,
		__( 'Hungarian forint', 'dt-estimator' ) => 'HUF' ,
		__( 'Indonesian rupiah', 'dt-estimator' ) => 'IDR' ,
		__( 'Israeli new shekel', 'dt-estimator' ) => 'ILS' ,
		__( 'Manx pound', 'dt-estimator' ) => 'IMP' ,
		__( 'Indian rupee', 'dt-estimator' ) => 'INR' ,
		__( 'Iraqi dinar', 'dt-estimator' ) => 'IQD' ,
		__( 'Iranian rial', 'dt-estimator' ) => 'IRR' ,
		__( 'Iranian toman', 'dt-estimator' ) => 'IRT' ,
		__( 'Icelandic krona', 'dt-estimator' ) => 'ISK' ,
		__( 'Jersey pound', 'dt-estimator' ) => 'JEP' ,
		__( 'Jamaican dollar', 'dt-estimator' ) => 'JMD' ,
		__( 'Jordanian dinar', 'dt-estimator' ) => 'JOD' ,
		__( 'Japanese yen', 'dt-estimator' ) => 'JPY' ,
		__( 'Kenyan shilling', 'dt-estimator' ) => 'KES' ,
		__( 'Kyrgyzstani som', 'dt-estimator' ) => 'KGS' ,
		__( 'Cambodian riel', 'dt-estimator' ) => 'KHR' ,
		__( 'Comorian franc', 'dt-estimator' ) => 'KMF' ,
		__( 'North Korean won', 'dt-estimator' ) => 'KPW' ,
		__( 'South Korean won', 'dt-estimator' ) => 'KRW' ,
		__( 'Kuwaiti dinar', 'dt-estimator' ) => 'KWD' ,
		__( 'Cayman Islands dollar', 'dt-estimator' ) => 'KYD' ,
		__( 'Kazakhstani tenge', 'dt-estimator' ) => 'KZT' ,
		__( 'Lao kip', 'dt-estimator' ) => 'LAK' ,
		__( 'Lebanese pound', 'dt-estimator' ) => 'LBP' ,
		__( 'Sri Lankan rupee', 'dt-estimator' ) => 'LKR' ,
		__( 'Liberian dollar', 'dt-estimator' ) => 'LRD' ,
		__( 'Lesotho loti', 'dt-estimator' ) => 'LSL' ,
		__( 'Libyan dinar', 'dt-estimator' ) => 'LYD' ,
		__( 'Moroccan dirham', 'dt-estimator' ) => 'MAD' ,
		__( 'Moldovan leu', 'dt-estimator' ) => 'MDL' ,
		__( 'Malagasy ariary', 'dt-estimator' ) => 'MGA' ,
		__( 'Macedonian denar', 'dt-estimator' ) => 'MKD' ,
		__( 'Burmese kyat', 'dt-estimator' ) => 'MMK' ,
		__( 'Mongolian togrog', 'dt-estimator' ) => 'MNT' ,
		__( 'Macanese pataca', 'dt-estimator' ) => 'MOP' ,
		__( 'Mauritanian ouguiya', 'dt-estimator' ) => 'MRO' ,
		__( 'Mauritian rupee', 'dt-estimator' ) => 'MUR' ,
		__( 'Maldivian rufiyaa', 'dt-estimator' ) => 'MVR' ,
		__( 'Malawian kwacha', 'dt-estimator' ) => 'MWK' ,
		__( 'Mexican peso', 'dt-estimator' ) => 'MXN' ,
		__( 'Malaysian ringgit', 'dt-estimator' ) => 'MYR' ,
		__( 'Mozambican metical', 'dt-estimator' ) => 'MZN' ,
		__( 'Namibian dollar', 'dt-estimator' ) => 'NAD' ,
		__( 'Nigerian naira', 'dt-estimator' ) => 'NGN' ,
		__( 'Nicaraguan cordoba', 'dt-estimator' ) => 'NIO' ,
		__( 'Norwegian krone', 'dt-estimator' ) => 'NOK' ,
		__( 'Nepalese rupee', 'dt-estimator' ) => 'NPR' ,
		__( 'New Zealand dollar', 'dt-estimator' ) => 'NZD' ,
		__( 'Omani rial', 'dt-estimator' ) => 'OMR' ,
		__( 'Panamanian balboa', 'dt-estimator' ) => 'PAB' ,
		__( 'Peruvian nuevo sol', 'dt-estimator' ) => 'PEN' ,
		__( 'Papua New Guinean kina', 'dt-estimator' ) => 'PGK' ,
		__( 'Philippine peso', 'dt-estimator' ) => 'PHP' ,
		__( 'Pakistani rupee', 'dt-estimator' ) => 'PKR' ,
		__( 'Polish zloty', 'dt-estimator' ) => 'PLN' ,
		__( 'Transnistrian ruble', 'dt-estimator' ) => 'PRB' ,
		__( 'Paraguayan guarani', 'dt-estimator' ) => 'PYG' ,
		__( 'Qatari riyal', 'dt-estimator' ) => 'QAR' ,
		__( 'Romanian leu', 'dt-estimator' ) => 'RON' ,
		__( 'Serbian dinar', 'dt-estimator' ) => 'RSD' ,
		__( 'Russian ruble', 'dt-estimator' ) => 'RUB' ,
		__( 'Rwandan franc', 'dt-estimator' ) => 'RWF' ,
		__( 'Saudi riyal', 'dt-estimator' ) => 'SAR' ,
		__( 'Solomon Islands dollar', 'dt-estimator' ) => 'SBD' ,
		__( 'Seychellois rupee', 'dt-estimator' ) => 'SCR' ,
		__( 'Sudanese pound', 'dt-estimator' ) => 'SDG' ,
		__( 'Swedish krona', 'dt-estimator' ) => 'SEK' ,
		__( 'Singapore dollar', 'dt-estimator' ) => 'SGD' ,
		__( 'Saint Helena pound', 'dt-estimator' ) => 'SHP' ,
		__( 'Sierra Leonean leone', 'dt-estimator' ) => 'SLL' ,
		__( 'Somali shilling', 'dt-estimator' ) => 'SOS' ,
		__( 'Surinamese dollar', 'dt-estimator' ) => 'SRD' ,
		__( 'South Sudanese pound', 'dt-estimator' ) => 'SSP' ,
		__( 'Sao Tome and Principe dobra', 'dt-estimator' ) => 'STD' ,
		__( 'Syrian pound', 'dt-estimator' ) => 'SYP' ,
		__( 'Swazi lilangeni', 'dt-estimator' ) => 'SZL' ,
		__( 'Thai baht', 'dt-estimator' ) => 'THB' ,
		__( 'Tajikistani somoni', 'dt-estimator' ) => 'TJS' ,
		__( 'Turkmenistan manat', 'dt-estimator' ) => 'TMT' ,
		__( 'Tunisian dinar', 'dt-estimator' ) => 'TND' ,
		__( 'Tongan paanga', 'dt-estimator' ) => 'TOP' ,
		__( 'Turkish lira', 'dt-estimator' ) => 'TRY' ,
		__( 'Trinidad and Tobago dollar', 'dt-estimator' ) => 'TTD' ,
		__( 'New Taiwan dollar', 'dt-estimator' ) => 'TWD' ,
		__( 'Tanzanian shilling', 'dt-estimator' ) => 'TZS' ,
		__( 'Ukrainian hryvnia', 'dt-estimator' ) => 'UAH' ,
		__( 'Ugandan shilling', 'dt-estimator' ) => 'UGX' ,
		__( 'United States dollar', 'dt-estimator' ) => 'USD' ,
		__( 'Uruguayan peso', 'dt-estimator' ) => 'UYU' ,
		__( 'Uzbekistani som', 'dt-estimator' ) => 'UZS' ,
		__( 'Venezuelan bolivar', 'dt-estimator' ) => 'VEF' ,
		__( 'Vietnamese dong', 'dt-estimator' ) => 'VND' ,
		__( 'Vanuatu vatu', 'dt-estimator' ) => 'VUV' ,
		__( 'Samoan tala', 'dt-estimator' ) => 'WST' ,
		__( 'Central African CFA franc', 'dt-estimator' ) => 'XAF' ,
		__( 'East Caribbean dollar', 'dt-estimator' ) => 'XCD' ,
		__( 'West African CFA franc', 'dt-estimator' ) => 'XOF' ,
		__( 'CFP franc', 'dt-estimator' ) => 'XPF' ,
		__( 'Yemeni rial', 'dt-estimator' ) => 'YER' ,
		__( 'South African rand', 'dt-estimator' ) => 'ZAR' ,
		__( 'Zambian kwacha', 'dt-estimator' ) => 'ZMW' ,
	) );
}

function dt_estimator_currency_symbol( $currency = '' ) {

	$symbols =  array(
		'AED' => '&#x62f;.&#x625;',
		'AFN' => '&#x60b;',
		'ALL' => 'L',
		'AMD' => 'AMD',
		'ANG' => '&fnof;',
		'AOA' => 'Kz',
		'ARS' => '&#36;',
		'AUD' => '&#36;',
		'AWG' => 'Afl.',
		'AZN' => 'AZN',
		'BAM' => 'KM',
		'BBD' => '&#36;',
		'BDT' => '&#2547;&nbsp;',
		'BGN' => '&#1083;&#1074;.',
		'BHD' => '.&#x62f;.&#x628;',
		'BIF' => 'Fr',
		'BMD' => '&#36;',
		'BND' => '&#36;',
		'BOB' => 'Bs.',
		'BRL' => '&#82;&#36;',
		'BSD' => '&#36;',
		'BTC' => '&#3647;',
		'BTN' => 'Nu.',
		'BWP' => 'P',
		'BYR' => 'Br',
		'BZD' => '&#36;',
		'CAD' => '&#36;',
		'CDF' => 'Fr',
		'CHF' => '&#67;&#72;&#70;',
		'CLP' => '&#36;',
		'CNY' => '&yen;',
		'COP' => '&#36;',
		'CRC' => '&#x20a1;',
		'CUC' => '&#36;',
		'CUP' => '&#36;',
		'CVE' => '&#36;',
		'CZK' => '&#75;&#269;',
		'DJF' => 'Fr',
		'DKK' => 'DKK',
		'DOP' => 'RD&#36;',
		'DZD' => '&#x62f;.&#x62c;',
		'EGP' => 'EGP',
		'ERN' => 'Nfk',
		'ETB' => 'Br',
		'EUR' => '&euro;',
		'FJD' => '&#36;',
		'FKP' => '&pound;',
		'GBP' => '&pound;',
		'GEL' => '&#x10da;',
		'GGP' => '&pound;',
		'GHS' => '&#x20b5;',
		'GIP' => '&pound;',
		'GMD' => 'D',
		'GNF' => 'Fr',
		'GTQ' => 'Q',
		'GYD' => '&#36;',
		'HKD' => '&#36;',
		'HNL' => 'L',
		'HRK' => 'Kn',
		'HTG' => 'G',
		'HUF' => '&#70;&#116;',
		'IDR' => 'Rp',
		'ILS' => '&#8362;',
		'IMP' => '&pound;',
		'INR' => '&#8377;',
		'IQD' => '&#x639;.&#x62f;',
		'IRR' => '&#xfdfc;',
		'IRT' => '&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;',
		'ISK' => 'kr.',
		'JEP' => '&pound;',
		'JMD' => '&#36;',
		'JOD' => '&#x62f;.&#x627;',
		'JPY' => '&yen;',
		'KES' => 'KSh',
		'KGS' => '&#x441;&#x43e;&#x43c;',
		'KHR' => '&#x17db;',
		'KMF' => 'Fr',
		'KPW' => '&#x20a9;',
		'KRW' => '&#8361;',
		'KWD' => '&#x62f;.&#x643;',
		'KYD' => '&#36;',
		'KZT' => 'KZT',
		'LAK' => '&#8365;',
		'LBP' => '&#x644;.&#x644;',
		'LKR' => '&#xdbb;&#xdd4;',
		'LRD' => '&#36;',
		'LSL' => 'L',
		'LYD' => '&#x644;.&#x62f;',
		'MAD' => '&#x62f;.&#x645;.',
		'MDL' => 'MDL',
		'MGA' => 'Ar',
		'MKD' => '&#x434;&#x435;&#x43d;',
		'MMK' => 'Ks',
		'MNT' => '&#x20ae;',
		'MOP' => 'P',
		'MRO' => 'UM',
		'MUR' => '&#x20a8;',
		'MVR' => '.&#x783;',
		'MWK' => 'MK',
		'MXN' => '&#36;',
		'MYR' => '&#82;&#77;',
		'MZN' => 'MT',
		'NAD' => '&#36;',
		'NGN' => '&#8358;',
		'NIO' => 'C&#36;',
		'NOK' => '&#107;&#114;',
		'NPR' => '&#8360;',
		'NZD' => '&#36;',
		'OMR' => '&#x631;.&#x639;.',
		'PAB' => 'B/.',
		'PEN' => 'S/.',
		'PGK' => 'K',
		'PHP' => '&#8369;',
		'PKR' => '&#8360;',
		'PLN' => '&#122;&#322;',
		'PRB' => '&#x440;.',
		'PYG' => '&#8370;',
		'QAR' => '&#x631;.&#x642;',
		'RMB' => '&yen;',
		'RON' => 'lei',
		'RSD' => '&#x434;&#x438;&#x43d;.',
		'RUB' => '&#8381;',
		'RWF' => 'Fr',
		'SAR' => '&#x631;.&#x633;',
		'SBD' => '&#36;',
		'SCR' => '&#x20a8;',
		'SDG' => '&#x62c;.&#x633;.',
		'SEK' => '&#107;&#114;',
		'SGD' => '&#36;',
		'SHP' => '&pound;',
		'SLL' => 'Le',
		'SOS' => 'Sh',
		'SRD' => '&#36;',
		'SSP' => '&pound;',
		'STD' => 'Db',
		'SYP' => '&#x644;.&#x633;',
		'SZL' => 'L',
		'THB' => '&#3647;',
		'TJS' => '&#x405;&#x41c;',
		'TMT' => 'm',
		'TND' => '&#x62f;.&#x62a;',
		'TOP' => 'T&#36;',
		'TRY' => '&#8378;',
		'TTD' => '&#36;',
		'TWD' => '&#78;&#84;&#36;',
		'TZS' => 'Sh',
		'UAH' => '&#8372;',
		'UGX' => 'UGX',
		'USD' => '&#36;',
		'UYU' => '&#36;',
		'UZS' => 'UZS',
		'VEF' => 'Bs F',
		'VND' => '&#8363;',
		'VUV' => 'Vt',
		'WST' => 'T',
		'XAF' => 'Fr',
		'XCD' => '&#36;',
		'XOF' => 'Fr',
		'XPF' => 'Fr',
		'YER' => '&#xfdfc;',
		'ZAR' => '&#82;',
		'ZMW' => 'ZK',
	);

	$currency_symbol = isset( $symbols[ $currency ] ) ? $symbols[ $currency ] : '';

	return html_entity_decode( $currency_symbol );
}