<?php
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_dt_sc_estimator extends WPBakeryShortCodesContainer { }
}

vc_map( array(
    "name"                    => esc_html__( "Estimator", 'dt-estimator' ),
    "base"                    => "dt_sc_estimator",
    "icon"                    => "dt_sc_estimator",
    "show_settings_on_create" => false,
    "category"                => esc_html__( 'Estimator', 'dt-estimator' ),
    "description"             => esc_html__( 'Base Estimator Element', 'dt-estimator' ),
    "js_view"                 => "VcColumnView",
    "content_element"         => true,
    "is_container"            => true,
    "as_parent"               => array( "except" => 'dt_sc_estimator' ),
    "params"                  => array(

        # ID
        array(
            'type'             => 'el_id',
            'param_name'       => 'el_id',
            'edit_field_class' => 'hidden',
            'settings'         => array ( 'auto_generate'    => true )
        ),

        # Currency
        array(
            'type'             => 'dropdown',
            'param_name'       => 'currency',
            'heading'          => __('Currency', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-8 vc_column',
            'value'            => dt_estimator_currencies(),
            'save_always'      => true,
            'std'              => 'USD'
        ),

        # Currency Position        
        array(
            'type'             => 'checkbox',
            'param_name'       => 'currency_after',
            'heading'          => __( 'Currency After Total', 'dt-estimator' ),
            'save_always'      => true,
            'value'            => array( 'Yes' => 'yes' ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        # Enable Mail
        array(
            'type'             => 'checkbox',
            'param_name'       => 'enable_mail',
            'heading'          => __( 'Send Mail', 'dt-estimator' ),
            'save_always'      => true,
            'value'            => array( 'Yes' => 'yes' ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
        ),

        # Admin Mail
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Admin Email', 'dt-estimator' ),
            'save_always' => true,
            'param_name'  => 'admin_email',
            'dependency'  => array( 'element' => 'enable_mail', 'value' => 'yes' )
        ),

        # Mail Subject
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Email Subject', 'dt-estimator' ),
            'save_always' => true,
            'param_name'  => 'subject',
            'dependency'  => array( 'element' => 'enable_mail', 'value' => 'yes' )
        ),

        # Confirm Mail To Client
        array( 
            'type'        => 'checkbox',
            'param_name'  => 'client_email',
            'value'       => array( __('Show confirmation checkbox for sending email to client', 'dt-estimator') => 'yes' ),
            'heading'     => __( 'Email Confirmation', 'dt-estimator' ),
            'save_always' => true,
            'dependency'  => array( 'element' => 'enable_mail', 'value' => 'yes' )
        ),

        array(
            'type'          => 'autocomplete',
            'param_name'    => 'fields',
            'heading'       => __('Mandatory Fields', 'dt-estimator' ),
            'settings'      => array(
                'multiple'      => true,
                'unique_values' => true
            ),
            'dependency'    => array( 'element' => 'enable_mail', 'value' => 'yes' )
        ),

        # Validation Msg
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Validation Message', 'dt-estimator' ),
            'save_always' => true,
            'param_name'  => 'validation',
            'std'         => 'Please fill out all required fields.',
            'dependency'  => array( 'element' => 'enable_mail', 'value' => 'yes' )
        ),        

        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'Css', 'dt-estimator' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'dt-estimator' ),
        ),        

        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'dt-estimator' ),
            'param_name'  => 'el_class',
            'group'       => esc_html__( 'Design options', 'dt-estimator' ),
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'dt-estimator' ),
        ),                
    )
) );