<?php
vc_map( array(
    "name"        => esc_html__( "Drop Down", 'dt-estimator' ),
    "base"        => "dt_sc_estimator_field_dropdown",
    "icon"        => "dt_sc_estimator_field_dropdown",
    "description" => esc_html__( 'Drop down Element', 'dt-estimator' ),
    "category"    => esc_html__( 'Estimator', 'dt-estimator' ),
    "as_child"    => array( "only" => "vc_row_inner,vc_column_inner,dt_sc_estimator,dt_sc_estimator_group_block,dt_sc_estimator_multiply_block" ),
    "params"      => array(

        # ID
        array(
            'type'             => 'el_id',
            'param_name'       => 'el_id',
            'edit_field_class' => 'hidden',
            'settings'         => array ( 'auto_generate' => true )
        ),

        # Label
        array(
            'type'        => 'textfield',
            'param_name'  => 'label',
            'heading'     => esc_html__('Label', 'dt-estimator' ),
            'save_always' => true,
            'admin_label' => true,
        ),

        # Placeholder
        array(
            'type' => 'textfield', 
            'param_name' => 'placeholder',
            'heading' => esc_html__('Placeholder', 'dt-estimator' ),
            'std'   => 'Select An Item',
            'save_always' => true,
        ),        

        # Options
            array(
                'type'       => 'param_group',
                'param_name' => 'options',
                'heading'    => esc_html__('Options', 'dt-estimator' ),
                'params'     => array(

                    # Label
                    array(
                        'type'        => 'textfield', 
                        'param_name'  => 'label',
                        'heading'     => esc_html__('Label', 'dt-estimator' ),
                        'save_always' => true,
                        'admin_label' => true
                    ),

                    # Description
                    array(
                        'type'        => 'textarea', 
                        'param_name'  => 'description',
                        'heading'     => esc_html__('Description', 'dt-estimator' ),
                        'save_always' => true,
                    ),                        

                    # Value
                    array(
                        'type'        => 'dt_sc_input_number', 
                        'param_name'  => 'value',
                        'heading'     => esc_html__('Value', 'dt-estimator' ),
                        'save_always' => true,                            
                        'min'         => 1,
                        'step'        => 1 
                    ),

                    # Add Image ?
                    array(
                        'type'        => 'checkbox',
                        'heading'     => esc_html__( 'Use image?', 'dt-core' ),
                        'param_name'  => 'use_image',
                        'value'       => array( esc_html__( 'Yes', 'dt-core' ) => 'yes' ),
                        'save_always' => true,
                    ),

                    # Image
                    array(
                        'type'        => 'attach_image',
                        'heading'     => esc_html__( 'Image?', 'dt-core' ),
                        'param_name'  => 'image',
                        'save_always' => true,
                        'dependency'  => array( 'element' => 'use_image', 'value' => 'yes' )
                    ),                                            
                )
            ),
        # Options

        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'Css', 'dt-estimator' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'dt-estimator' ),
        ),
        
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'dt-estimator' ),
            'param_name'  => 'el_class',
            'group'       => esc_html__( 'Design options', 'dt-estimator' ),
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'dt-estimator' ),
        ),        
    )
) );