<?php
vc_map( array(
    "name"        => esc_html__( "Slider", 'dt-estimator' ),
    "base"        => "dt_sc_estimator_field_slider",
    "icon"        => "dt_sc_estimator_field_slider",
    "description" => esc_html__( 'Slider Element', 'dt-estimator' ),
    "category"    => esc_html__( 'Estimator', 'dt-estimator' ),
    "as_child"    => array( "only" => "vc_row_inner,vc_column_inner,dt_sc_estimator,dt_sc_estimator_group_block,dt_sc_estimator_multiply_block" ),
    "params"      => array(

        # ID
        array(
            'type'             => 'el_id',
            'param_name'       => 'el_id',
            'edit_field_class' => 'hidden',
            'settings'         => array (
                'auto_generate'    => true
            )
        ),

        # Label
        array(
            'type'        => 'textfield', 
            'param_name'  => 'label',
            'heading'     => esc_html__('Label', 'dt-estimator' ),
            'save_always' => true,
            'admin_label' => true,
        ),

        # Min
        array(
            'type'             => 'dt_sc_input_number', 
            'param_name'       => 'min',
            'heading'          => esc_html__('Minimum', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
            'value'            => 1,
            'min'              => 1,
            'step'             => 1 
        ),

        # Max
        array(
            'type'             => 'dt_sc_input_number',
            'param_name'       => 'max',
            'heading'          => esc_html__('Maximum', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
            'value'            => 10,
            'min'              => 1,
            'step'             => 1
        ),

        # Step
        array(
            'type'             => 'dt_sc_input_number',
            'param_name'       => 'step',
            'heading'          => esc_html__('Step', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
            'value'            => 1,
            'min'              => 1,
            'step'             => 1
        ),

        # Unit
        array(
            'type'             => 'dt_sc_input_number',
            'param_name'       => 'unit',
            'heading'          => esc_html__('Unit', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
            'value'            => 10,
            'min'              => 1,
            'step'             => 5
        ),

        # Initial Value
        array(
            'type'             => 'dt_sc_input_number',
            'param_name'       => 'init',
            'heading'          => esc_html__('Initial Value', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
            'min'              => 1,
            'value'            => 3
        ),         

        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'Css', 'dt-estimator' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'dt-estimator' ),
        ),
        
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'dt-estimator' ),
            'param_name'  => 'el_class',
            'group'       => esc_html__( 'Design options', 'dt-estimator' ),
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'dt-estimator' ),
        ),        
    )
) );