<?php
vc_map( array(
    "name"        => esc_html__( "Woo Switch", 'dt-estimator' ),
    "base"        => "dt_sc_estimator_field_switch_woo",
    "icon"        => "dt_sc_estimator_field_switch_woo",
    "description" => esc_html__( 'Switch Element', 'dt-estimator' ),
    "category"    => esc_html__( 'Estimator', 'dt-estimator' ),
    "as_child"    => array( "only" => "vc_row_inner,vc_column_inner,dt_sc_estimator" ),
    "params"      => array(
        # ID
        array(
            'type'             => 'el_id',
            'param_name'       => 'el_id',
            'edit_field_class' => 'hidden',
            'settings'         => array ( 'auto_generate' => true )
        ),

        # Label
        array(
            'type'        => 'textfield',
            'param_name'  => 'label',
            'heading'     => esc_html__('Label', 'dt-estimator' ),
            'save_always' => true,
            'admin_label' => true,
        ),

        # On
        array(
            'type'             => 'autocomplete',
            'param_name'       => 'on_pid',
            'heading'          => esc_html__('Value On', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
        ),

        # Off
        array(
            'type'             => 'autocomplete',
            'param_name'       => 'off_pid',
            'heading'          => esc_html__('Value Off', 'dt-estimator' ),
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'admin_label'      => true,
            'save_always'      => true,
        ),

        # Default
        array(
            'type'             => 'dropdown', 
            'param_name'       => 'default',
            'heading'          => esc_html__('Default State', 'dt-estimator' ),
            'save_always'      => true,
            'admin_label'      => true,
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'value'            => array(
                __( 'On' , 'dt-estimator' )  => 'on',
                __( 'Off' , 'dt-estimator' ) => 'off',
            ),
        ),                

        array(
            'type'       => 'css_editor',
            'heading'    => esc_html__( 'Css', 'dt-estimator' ),
            'param_name' => 'css',
            'group'      => esc_html__( 'Design options', 'dt-estimator' ),
        ),
        
        array(
            'type'        => 'textfield',
            'heading'     => __( 'Extra class name', 'dt-estimator' ),
            'param_name'  => 'el_class',
            'group'       => esc_html__( 'Design options', 'dt-estimator' ),
            'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'dt-estimator' ),
        ),
    )
) );