<?php
if (! class_exists ( 'DTEstimatorVC' )) {

	class DTEstimatorVC {

		function __construct() {

			require_once 'register-custom-params.php';

			add_action( 'admin_enqueue_scripts', array( $this, 'dt_vc_admin_scripts' ) );
			add_action( 'plugins_loaded', array( $this, 'dt_load_modules' ) );
			add_action( 'init', array( $this, 'dt_load_shortcodes' ) );			
		}

		function dt_vc_admin_scripts( $pagenow ) {

			$post_type = '';

			if( ( 'post.php' === $pagenow ) && ( isset( $_GET['post'] ) ) ) {

				$post_type = get_post_type( $_GET['post'] );
			}

			if( 'post-new.php' === $pagenow ) {

				$post_type = $_GET['post_type'];
			}

			$posts = array();
			if( function_exists( 'vc_editor_post_types' ) ) {
				$posts = vc_default_editor_post_types();
			}
			
			if( in_array( $post_type, $posts ) ) {

				wp_enqueue_style( 'dt-simple-estimator-addon-vc-admin', plugins_url('dt-simple-estimator') .'/css/admin/vc.css', false, false, 'all' );
			}
		}


		function dt_load_modules() {

			if( ! function_exists( 'vc_map' ) ) {
				return;
			}

			require_once 'modules/estimator-main-container.php';
			require_once 'modules/estimator-multiply-block-container.php';
			require_once 'modules/estimator-group-block-container.php';

			require_once 'modules/field-switch.php';
			require_once 'modules/field-switch-woo.php';

			require_once 'modules/field-dropdown.php';
			require_once 'modules/field-dropdown-woo.php';

			require_once 'modules/field-slider.php';
			require_once 'modules/field-slider-woo.php';

			require_once 'modules/field-number.php';
		}

		function dt_load_shortcodes() {

			require_once 'shortcodes/base.php';

			require_once 'shortcodes/estimator-main-container.php';
			require_once 'shortcodes/estimator-multiply-block-container.php';
			require_once 'shortcodes/estimator-group-block-container.php';

			require_once 'shortcodes/field-switch.php';
			require_once 'shortcodes/field-switch-woo.php';

			require_once 'shortcodes/field-dropdown.php';
			require_once 'shortcodes/field-dropdown-woo.php';
			
			require_once 'shortcodes/field-slider.php';
			require_once 'shortcodes/field-slider-woo.php';

			require_once 'shortcodes/field-number.php';
		}
	}
}
