<?php
if (! class_exists ( 'DTBaseEstimatorSC' ) ) {
    
    class DTBaseEstimatorSC {

        function __construct() { }

        function dt_product_id_callback( $query ) {

            global $wpdb;
            $product_id = (int) $query;

            $post_meta_infos = $wpdb->get_results( $wpdb->prepare( "SELECT a.ID AS id, a.post_title AS title, b.meta_value AS sku
                FROM {$wpdb->posts} AS a
                LEFT JOIN ( SELECT meta_value, post_id  FROM {$wpdb->postmeta} WHERE `meta_key` = '_sku' ) AS b ON b.post_id = a.ID
                WHERE a.post_type = 'product' AND ( a.ID = '%d' OR b.meta_value LIKE '%%%s%%' OR a.post_title LIKE '%%%s%%' )", $product_id > 0 ? $product_id : - 1, stripslashes( $query ), stripslashes( $query ) 
            ) , ARRAY_A  );

            $results = array();

            if ( is_array( $post_meta_infos ) && ! empty( $post_meta_infos ) ) {

                foreach ( $post_meta_infos as $value ) {
                    $data = array();
                    $data['value'] = $value['id'];
                    $data['label'] = __( 'Id', 'dt-estimator' ) . ': ' . $value['id'] . ( ( strlen( $value['title'] ) > 0 ) ? ' - ' . __( 'Title', 'dt-estimator' ) . ': ' . $value['title'] : '' ) . ( ( strlen( $value['sku'] ) > 0 ) ? ' - ' . __( 'Sku', 'dt-estimator' ) . ': ' . $value['sku'] : '' );
                    $results[] = $data;
                }
            }

            return $results;
        }

        function dt_product_id_render( $query ) {

            $query = trim( $query['value'] ); // get value from requested
            if ( ! empty( $query ) ) {

                // get product
                $product_object = wc_get_product( (int) $query );
                if ( is_object( $product_object ) ) {
                    
                    $product_sku   = $product_object->get_sku();
                    $product_title = $product_object->get_title();
                    $product_id    = $product_object->get_id();

                    $product_sku_display = '';
                    if ( ! empty( $product_sku ) ) {
                        $product_sku_display = ' - ' . __( 'Sku', 'dt-estimator' ) . ': ' . $product_sku;
                    }

                    $product_title_display = '';
                    if ( ! empty( $product_title ) ) {
                        $product_title_display = ' - ' . __( 'Title', 'dt-estimator' ) . ': ' . $product_title;
                    }

                    $product_id_display = __( 'Id', 'dt-estimator' ) . ': ' . $product_id;

                    $data = array();
                    $data['value'] = $product_id;
                    $data['label'] = $product_id_display . $product_title_display . $product_sku_display;

                    return ! empty( $data ) ? $data : false;
                }

                return false;
            }

            return false;
        }

        function dt_generate_css( $atts ) {}

        function dt_print_css( $css ) { 
            if( !empty( $css ) ) {
                wp_enqueue_style( 'dt-simple-estimator-custom-inline' );
                wp_add_inline_style( 'dt-simple-estimator-custom-inline', $css );
            }
        }        

    }
}