<?php
if (! class_exists ( 'DTEstimatorContainer' ) ) {
    
    class DTEstimatorContainer extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator', array( $this, 'dt_sc_estimator' ) );

            add_filter( 'vc_autocomplete_dt_sc_estimator_fields_callback', array( $this, 'dt_fields_callback' ) );
            add_filter( 'vc_autocomplete_dt_sc_estimator_fields_render', array( $this, 'dt_fields_render' ) );

            add_action( 'wp_ajax_dt_estimator_mail' , array( $this, 'dt_estimator_mail' ) );
            add_action( 'wp_ajax_nopriv_dt_estimator_mail' , array( $this, 'dt_estimator_mail' ) );

            add_action( 'wp_ajax_dt_update_woo_cart' , array( $this, 'dt_update_woo_cart' ) );
            add_action( 'wp_ajax_nopriv_dt_update_woo_cart' , array( $this, 'dt_update_woo_cart' ) );            
        }

        function dt_fields_callback() {

            $results = array(
                array( 'value' => 'name',    'label' => __('Name', 'dt-estimator')),
                array( 'value' => 'email',   'label' => __('Email', 'dt-estimator')),
                array( 'value' => 'phone',   'label' => __('Phone No', 'dt-estimator')),
                array( 'value' => 'address', 'label' => __('Address', 'dt-estimator')),
				array( 'value' => 'date', 	 'label' => __('Date of Work', 'dt-estimator')),
                array( 'value' => 'message', 'label' => __('Message', 'dt-estimator')),
            );

            return $results;
        }

        function dt_fields_render( $term ) {

            $results = array(
                'name'    => array( 'value' => 'name',    'label' => __('Name', 'dt-estimator')),
                'email'   => array( 'value' => 'email',   'label' => __('Email', 'dt-estimator')),
                'phone'   => array( 'value' => 'phone',   'label' => __('Phone No', 'dt-estimator')),
                'address' => array( 'value' => 'address', 'label' => __('Address', 'dt-estimator')),
				'date' 	  => array( 'value' => 'date', 	  'label' => __('Date of Work', 'dt-estimator')),
                'message' => array( 'value' => 'message', 'label' => __('Message', 'dt-estimator')),
            );

            $return = false;
            if( array_key_exists( $term['value'], $results) ) {
                $return = $results[ $term['value'] ];
            }

            return $return;
        }

        function dt_sc_estimator( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'          => '',
                
                'currency'       => '',
                'currency_after' => '',
                
                'enable_mail'    => get_option( 'admin_email' ),
                'admin_email'    => '',
                'subject'        => '',
                'client_email'   => '',
                'fields'         => '',
                'validation'     => '',
                
                'el_class'       => '',
                'css'            => '',                                
            ), $attrs ) );

            if($el_id != '') {
                $el_id = 'dt-'.$el_id;
            }

            $css_classes = array(
            	'dt-sc-simple-estimator-wrap',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator', $attrs ) );
            
            $output  = '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'">';

	            $output .= '<div class="dt-sc-simple-estimator-content-wrap">';
	            	$output .= wptexturize( do_shortcode( $content ) );
	            $output .= '</div>';

	            $output .= '<div class="dt-sc-simple-estimator-total-wrap">';
                    $output .= '<span class="title"></span>';

                    if( $currency_after == 'yes' ) {
                        $output .= '<span class="total"></span>';
                        $output .= '<span class="currency">' . dt_estimator_currency_symbol( $currency ) . '</span>';
                    } else {
                        $output .= '<span class="currency">' . dt_estimator_currency_symbol( $currency ) . '</span>';
                        $output .= '<span class="total"></span>';
                    }
	            $output .= '</div>';

                if( $enable_mail == 'yes' ) {
                    $fields      = str_replace(", ", ",", $fields);
                    $fields      = explode(",", $fields);

                    $name_req    = in_array( 'name', $fields ) ? "item-field-required " : "";
                    $email_req   = in_array( 'email', $fields ) ? "item-field-required " : "";
                    $phone_req   = in_array( 'phone', $fields ) ? "item-field-required " : "";
                    $address_req = in_array( 'address', $fields ) ? "item-field-required " : "";
					$date_req =    in_array( 'date', $fields ) ? "item-field-required " : "";
                    $message_req = in_array( 'message', $fields ) ? "item-field-required " : "";

                    $output .= '<div class="dt-sc-simple-estimator-next-btn-wrap">';
                        $output .= '<button type="submit" class="item-button-next dt-sc-button medium filled rounded-corner">'.__('Next', 'dt-estimator' ).'</button>';
                    $output .= '</div>';

                    # Form
                    $output .= '<form onsubmit="return false;">';
                    $output .= '<div class="dt-sc-simple-estimator-form-wrap" data-ajax="'.esc_url( admin_url( 'admin-ajax.php' ) ).'" data-validation="'.$validation.'">';
                        $output .= '<div class="dt-sc-simple-estimator-form">';

                            $output .= '<input type="hidden" name="admin-email" value="'.$admin_email.'"/>';
                            $output .= '<input type="hidden" name="email-subject" value="'.$subject.'"/>';

                            $output .= '<div class="item-form">';
                                $output .= '<input type="text" class="item-field item-name-field '.esc_attr( $name_req ).'" placeholder="'.__( 'Name', 'dt-estimator').'"/>';
                            $output .= '</div>';

                            $output .= '<div class="item-form">';
                                $output .= '<input type="text" class="item-field item-email-field '.esc_attr( $email_req ).'" placeholder="'.__( 'Email', 'dt-estimator').'"/>';
                            $output .= '</div>';

                            $output .= '<div class="item-form">';
                                $output .= '<input type="text" class="item-field item-phone-field '.esc_attr( $phone_req ).'" placeholder="'.__( 'Phone', 'dt-estimator').'"/>';
                            $output .= '</div>';

                            $output .= '<div class="item-form">';
                                $output .= '<input type="text" class="item-field item-address-field '.esc_attr( $address_req ).'" placeholder="'.__( 'Address', 'dt-estimator').'"/>';
                            $output .= '</div>';

                            $output .= '<div class="item-form">';
                                $output .= '<input type="text" class="item-field item-date-field '.esc_attr( $date_req ).'" placeholder="'.__( 'Date of Work', 'dt-estimator').'"/>';
                            $output .= '</div>';

                            $output .= '<div class="item-form full-width">';
                                $output .= '<textarea class="item-field item-message-field '.esc_attr( $message_req ).'" placeholder="'.__( 'Message', 'dt-estimator').'"></textarea>';
                            $output .= '</div>';

                            if( $client_email == 'yes' ) {
                                $output .= '<div class="item-form full-width">';
                                    $output .= '<input type="checkbox" value="yes" name="client-quote" class="item-field"/>';
                                    $output .= '<label>'.__( 'Email me quote!', 'dt-estimator' ).'</label>';
                                $output .= '</div>';
                            }

                            $output .= '<div class="item-form-button-wrap">';
                                $output .= '<button type="submit" class="dt-sc-button medium filled rounded-corner item-button-submit">'.__('Submit', 'dt-estimator' ).'</button>';
                            $output .= '</div>';

                            $output .= '<div class="item-form-message">';
                            $output .= '</div>';

                        $output .= '</div>';
                    $output .= '</div>';
                    $output .= '</form>';
                    # Form
                }

            $output .= '</div>';

            return $output;
        }

        function dt_estimator_mail() {

            $admin_email = $_POST['admin_email'];
            $email_subject = $_POST['email_subject'];

            $client_mail = $_POST['client_mail'];

            $quote = urldecode ( $_POST['quote'] );
            $total = urldecode ( $_POST['quote_total'] );

            $name = $_POST['name'];
            $email = strip_tags( $_POST['email'] );
            $phone = $_POST['phone'];
			$address = $_POST['address'];
            $date = $_POST['date'];
            $message = $_POST['message'];

            $message_to_admin  = '<html><body>' . "\r\n";
            $message_to_admin .= '<table style="width:100%" cellspacing="0">' . "\r\n";
            $message_to_admin .= ( !empty( $quote ) ) ? $quote : '';
            $message_to_admin .= '<tr><td style="font-weight:bold;border-top:1px solid #888;padding:.5em;">' . __( 'Total', 'dt-estimator' ) . '</td><td style="text-align:right;font-weight:bold;border-top:1px solid #888;padding:.5em;">' . $total . '</td></tr>' . "\r\n";
            $message_to_admin .= '</table>' . "\r\n";
            $message_to_admin .= '<br>' . "\r\n";
            $message_to_admin .= !empty( $name ) ? '<div style="padding:.5em;"> '. __( 'Name', 'dt-estimator' ) .' <b> '. stripslashes( $name ) .' </b> </div>' : '';
            $message_to_admin .= !empty( $email ) ? '<div style="padding:.5em;"> '. __( 'Email', 'dt-estimator' ) .' <b> <a href="mailto:'.$email.'">'. $email .'</a> </b> </div>' : '';
            $message_to_admin .= !empty( $phone ) ? '<div style="padding:.5em;"> '. __( 'Phone', 'dt-estimator' ) .' <b> '. $phone .' </b> </div>'."\r\n" : '';
            $message_to_admin .= !empty( $address ) ? '<div style="padding:.5em;"> '. __( 'Address', 'dt-estimator' ) .' <b> '.stripslashes ( $address ) .' </b> </div>' : '';
			$message_to_admin .= !empty( $date ) ? '<div style="padding:.5em;"> '. __( 'Date of Work', 'dt-estimator' ) .' <b> '.stripslashes ( $date ) .' </b> </div>' : '';
            $message_to_admin .= !empty( $message ) ? '<div style="padding:.5em;"> '. __( 'Message', 'dt-estimator' ) .' <b> '. stripslashes( $message ) .' </b> </div>' : '';
            $message_to_admin .= '</body></html>';

            try {

                $to_admin = $to_client = true;

                if( $client_mail == 'yes' ) {

                    $header = "From: " . $admin_email . "\r\n";
                    $header .= "MIME-Version: 1.0\r\n";
                    $header .= "Content-Type: text/html; charset=UTF-8\r\n";

                    $to_client = wp_mail( $email, $email_subject, $message_to_admin, $header );
                }

                $header = "MIME-Version: 1.0\r\n";
                $header .= "Content-Type: text/html; charset=UTF-8\r\n";
                $to_admin = wp_mail( $admin_email, $email_subject, $message_to_admin, $header );

                if( $to_admin && $to_client ) {
                    wp_send_json( array(
                        'status' => 'ok',
                        'message' => '<div style="color:green;">'.__('Mail sent successfully','dt-estimator').'</div>'
                    ) );
                } else {
                    wp_send_json( array(
                        'status' => 'failure',
                        'message' => '<div style="color:red;">'.__('Please contact site admin.','dt-estimator').'</div>'
                    ) );                    
                }

            } catch( Exception $e ) {

                wp_send_json( array(
                    'status' => 'failure',
                    'message' => '<div style="color:red;">'.$e->getMessage().'</div>'
                ) );
            }
        }

        function dt_update_woo_cart() {

            global $woocommerce;
            $woocommerce->cart->empty_cart();

            $products = $_POST['products'];

            foreach ($products as $product) {
                $woocommerce->cart->add_to_cart( $product['id'], $product['quantity'] );
            }

            die();
        }
    }
}

new DTEstimatorContainer();
