<?php
if (! class_exists ( 'DTEstimatorDropDownWoo' ) ) {
    
    class DTEstimatorDropDownWoo extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator_field_dropdown_woo', array( $this, 'dt_sc_estimator_field_dropdown_woo' ) );

            add_filter( 'vc_autocomplete_dt_sc_estimator_field_dropdown_woo_options_pid_callback', array( $this, 'dt_product_id_callback' ) );
            add_filter( 'vc_autocomplete_dt_sc_estimator_field_dropdown_woo_options_pid_render', array( $this, 'dt_product_id_render' ) );
        }

        function dt_generate_css( $attrs ) {

            $css = '';

            $options = isset( $attrs['options'] ) ? $attrs['options'] : array();
            $options = vc_param_group_parse_atts( $options );

            if( !empty( $options ) ) {

                foreach( $options as $option ) {

                    $option = array_filter( $option );

                    if( isset( $option['image'] ) ) {

                        $image = wpb_getImageBySize( array( 'attach_id' => $option['image'], 'thumb_size' => 'full' ));
                        $image = $image['p_img_large'];
                        $image = $image[0];

                        $css .= '.cd-dropdown span.item-option-image.item-option-image-'.$option['image'].'{ background-image:url('.$image.')}'."\n";
                    }
                }
            }
            return $css;
        }

        function dt_sc_estimator_field_dropdown_woo( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'       => '',
                'label'       => '',
                'placeholder' => '',
                'options'     => '',
                'el_class'    => '',
                'css'         => '',
            ), $attrs ) );

            wp_enqueue_script( 'jquery.dropdown.modernizr' );
            wp_enqueue_script( 'jquery.dropdown' );            

            $output = '';

            $item_id = '';
            if($el_id != '') {
                $el_id   = 'dt-'.$el_id;
                $item_id = 'select-dt-'.$el_id;
            }

            $css_classes = array(
            	'dt-sc-simple-estimator-select-wrap',
                'dt-sc-simple-estimator-item',
                'woo-field',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator_field_dropdown_woo', $attrs ) );

            $options = vc_param_group_parse_atts( $options );

            if( !empty( $options ) ) {
                $output .= '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'" data-value="0" data-pid="0">';

                    if( !empty( $label ) ) {
                        $output .= '<h4 class="item-label">'. $label .'</h4>';                        
                    }

                    $output .= '<div class="input-item-wrap">';
                        $output .= '<select id="'.esc_attr( $item_id ).'" class="item-input item-select">';
                            $output .= !empty( $placeholder ) ? '<option value="0">'.esc_html( $placeholder ).'</option>' : '';
                            foreach( $options as $option ) {

                                $option = array_filter( $option );

                                if( isset( $option['pid'] ) ) {

                                    $product = new WC_Product( $option['pid'] );
                                    $value = $product->get_price();

                                    $output .= '<option data-pid="'.$option['pid'].'"';
                                       $output .=  isset( $option['image'] ) ? ' class="item-option-image item-option-image-'. esc_attr( $option['image'] ) .'"' : '';

                                       $output .= ' value="'.esc_attr( $value ).'"';
                                       $output .=  isset( $option['description'] ) ? ' data-description="'. esc_attr( $option['description'] ) .'"' : '';
                                    $output .= '>';
                                    $output .=  isset( $option['label'] ) ? $option['label'] : '';
                                    $output .= '</option>';
                                }
                            }
                        $output .= '</select>';
                    $output .= '</div>';

                $output .= '</div>';

                # Custom CSS
                $custom_css = '';
                $custom_css .= $this->dt_generate_css( $attrs );

                if( !empty( $custom_css ) ) {
                    $this->dt_print_css( $custom_css ); 
                }
            }           

            return $output;
        }
    }
}

new DTEstimatorDropDownWoo();         