<?php
if (! class_exists ( 'DTEstimatorNumber' ) ) {
    
    class DTEstimatorNumber extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator_field_number', array( $this, 'dt_sc_estimator_field_number' ) );
        }

        function dt_sc_estimator_field_number( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'    => '',
                'label'    => '',
                'min'      => '',
                'max'      => '',
                'unit'     => '',
                'css'      => '',
                'el_class' => '',
            ), $attrs ) );

            $output = $item_name = '';

            if($el_id != '') {
                $el_id     = 'dt-'.$el_id;
                $item_name = 'dt-input-number-'.$el_id;
            }

            $css_classes = array(
                'dt-sc-simple-estimator-number-wrap',
                'dt-sc-simple-estimator-item',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator_field_number', $attrs ) );


            $output .= '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'">';

                if( !empty( $label ) ) {
                    $output .= '<h4 class="item-label">'. $label .'</h4>';                        
                }

                $output .= '<div class="input-item-wrap">';

                    $item_classes = array( "item-input", "item-number", );
                    $item_classes = implode(' ', array_filter( $item_classes ) );

                    $min = isset( $min ) ? $min : 0;
                    $output .= '<input type="number" class="'.esc_attr( $item_classes ).'" name="'.esc_attr( $item_name ).'" min="'.esc_attr( $min ).'" step="1" value="'. esc_attr( $min ).'"';
                        $output .=  isset( $unit ) ? ' data-unit="'.esc_attr( $unit ).'" ' : '0';
                        $output .=  isset( $max ) ? ' max="'.esc_attr( $max ).'" ' : '';
                    $output .= '/>';
                $output .= '</div>';
            $output .= '</div>';

            return $output;
        }
    }
}

new DTEstimatorNumber();