<?php
if (! class_exists ( 'DTEstimatorSwitchWoo' ) ) {
    
    class DTEstimatorSwitchWoo extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator_field_switch_woo', array( $this, 'dt_sc_estimator_field_switch_woo' ) );

            add_filter( 'vc_autocomplete_dt_sc_estimator_field_switch_woo_on_pid_callback', array( $this, 'dt_product_id_callback' ) );
            add_filter( 'vc_autocomplete_dt_sc_estimator_field_switch_woo_on_pid_render', array( $this, 'dt_product_id_render' ) );

            add_filter( 'vc_autocomplete_dt_sc_estimator_field_switch_woo_off_pid_callback', array( $this, 'dt_product_id_callback' ) );
            add_filter( 'vc_autocomplete_dt_sc_estimator_field_switch_woo_off_pid_render', array( $this, 'dt_product_id_render' ) );            
        }

        function dt_sc_estimator_field_switch_woo( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'    => '',
                'label'    => '',
                'on_pid'   => '',
                'off_pid'  => '',
                'default'  => '',
                'css'      => '',
                'el_class' => '',
            ), $attrs ) );

            $output = $data_on = $data_off = '';

            if($el_id != '') {
                $el_id = 'dt-'.$el_id;
            }

            $css_classes = array(
                'dt-sc-simple-estimator-switch-wrap',
                'dt-sc-simple-estimator-item',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator_field_switch_woo', $attrs ) );


            $output .= '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'">';

                    if( !empty( $label ) ) {
                        $output .= '<h4 class="item-label">'. $label .'</h4>';                        
                    }

                    $output .= '<div class="input-item-wrap">';

                        $item_classes = array( 
                            "item-input",
                            "item-switch",
                            "woo-field",
                            ( $default == 'on' ) ? "item-switch-on" : ""                            
                        );
                        $item_classes = implode(' ', array_filter( $item_classes ) );

                        if( !empty( $on_pid ) ) {
                            $product = new WC_Product( $on_pid );
                            $on = $product->get_price();
                            $data_on = ' data-on-id="'.$product->id.'" ';
                        }

                        if( !empty( $off_pid ) ) {                        
                            $product = new WC_Product( $off_pid );
                            $off = $product->get_price();
                            $data_off = ' data-off-id="'.$product->id.'" ';
                        }                        

                        $output .= '<div class="'.esc_attr( $item_classes ).'" '.$data_on.$data_off.'
                            data-on="'.esc_attr( $on ).'"
                            data-off="'.esc_attr( $off ).'" >';
                            $output .= '<div class="item-switch-inner"></div>';
                        $output .= '</div>';

                    $output .= '</div>';
            $output .= '</div>';

            return $output;
        }
    }
}

new DTEstimatorSwitchWoo();