<?php
if (! class_exists ( 'DTEstimatorSwitch' ) ) {
    
    class DTEstimatorSwitch extends DTBaseEstimatorSC {

        function __construct() {

            add_shortcode( 'dt_sc_estimator_field_switch', array( $this, 'dt_sc_estimator_field_switch' ) );
        }

        function dt_sc_estimator_field_switch( $attrs, $content = null ) {
            extract ( shortcode_atts ( array (
                'el_id'    => '',
                'label'    => '',
                'on'       => '',
                'off'      => '',
                'default'  => '',
                'css'      => '',
                'el_class' => '',
            ), $attrs ) );

            $output = '';

            if($el_id != '') {
                $el_id = 'dt-'.$el_id;
            }

            $css_classes = array(
                'dt-sc-simple-estimator-switch-wrap',
                'dt-sc-simple-estimator-item',
                $el_class,
                vc_shortcode_custom_css_class( $css ),
            );

            $css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), 'dt_sc_estimator_field_switch', $attrs ) );


            $output .= '<div id="'.esc_attr( $el_id ).'" class="'.esc_attr( $css_class ).'">';

                    if( !empty( $label ) ) {
                        $output .= '<h4 class="item-label">'. $label .'</h4>';                        
                    }

                    $output .= '<div class="input-item-wrap">';

                        $item_classes = array( 
                            "item-input",
                            "item-switch",
                            ( $default == 'on' ) ? "item-switch-on" : ""
                        );
                        $item_classes = implode(' ', array_filter( $item_classes ) );

                        $output .= '<div class="'.esc_attr( $item_classes ).'"
                            data-on="'.esc_attr( $on ).'"
                            data-off="'.esc_attr( $off ).'" >';
                            $output .= '<div class="item-switch-inner"></div>';
                        $output .= '</div>';

                    $output .= '</div>';
            $output .= '</div>';

            return $output;
        }
    }
}

new DTEstimatorSwitch();